=== release 1.28.6 ===

2026-08-05 12:59:39 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.6

2026-07-08 17:05:14 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Clamp x0/x1/y0/y1 to the available frame size in stripe mode
	  While y0/y1 were already clamped, the lack of clamping x0/x1 allowed caps to
	  specify a different size than the actual frame which could then lead to reading
	  or writing too many bytes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-07-07 17:20:50 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Use gsize for strides instead of gint
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-07-07 15:22:34 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpeg.h:
	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Fix some typos in error messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-07-07 15:18:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Unmap input/output buffers in error cases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-07-07 16:28:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Only use YOsiz and Ysiz in striped mode and clamp to caps height
	  We assume that in striped mode the smallest YOsiz of a frame is always 0.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5187
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-07-07 15:20:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/openjpeg/gstopenjpegdec.c:
	  openjpegdec: Negotiate with width/height of the actual image instead of upstream caps
	  In non-striped mode. This allows us to not rely on the upstream caps being
	  correct and work from the data we have anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12246>

2026-08-03 12:30:45 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/adpcmdec/adpcmdec.c:
	  adpcmdec: Fix IMA ADPCM input size check to match with the actual code
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5231
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12245>

2026-08-03 12:30:30 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/adpcmdec/adpcmdec.c:
	  adpcmdec: Fail negotiation if block_align is not provided
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12245>

2026-07-13 11:04:28 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  h265parser: Fix out-of-bounds writes in RPS parsing
	  Add missing bounds checks.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5196
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12239>

2026-07-18 16:19:17 +0200  Tim-Philipp Müller <tim@centricular.com>

	* ext/bz2/gstbz2dec.h:
	* ext/bz2/gstbz2enc.h:
	* ext/dtls/gstdtlsagent.h:
	* ext/dtls/gstdtlscertificate.h:
	* ext/dtls/gstdtlsconnection.h:
	* ext/resindvd/rsndec.h:
	* ext/ttml/gstttmlrender.h:
	* ext/wayland/gstwaylandsink.h:
	* gst/debugutils/gsttestsrcbin.c:
	* gst/pnm/gstpnmdec.h:
	* gst/pnm/gstpnmenc.h:
	* gst/transcode/gst-cpu-throttling-clock.h:
	* sys/kms/gstkmsallocator.h:
	* sys/kms/gstkmsbufferpool.h:
	* sys/kms/gstkmssink.h:
	* sys/va/gstvafilter.h:
	  gst-plugins-bad: remove incorrect G_GNUC_CONST annotation for get_type() functions
	  G_GNUC_CONST must only be used for functions that don't modify global state.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12157>

2026-06-19 10:49:57 +0100  Charles <charles05@canonical.com>

	* ext/dtls/gstdtlsconnection.c:
	  dtls: make BIO read signal retry instead of EOF when no data
	  The DTLS plugin was using OpenSSL through a custom memory BIO registered
	  via BIO_meth_set_read. When the handshake is driven and no incoming datagram is
	  queued, the bio_method_read callback returned 0 without setting the read-retry
	  flag, while the BIO's BIO_CTRL_EOF control reports "not at EOF". This is invalid
	  usage, a BIO that has no data available right now must signal retry, not return
	  0.
	  Up to and including OpenSSL 3.5.x this happened to be tolerated: the empty read
	  surfaced as SSL_ERROR_SYSCALL with an empty error queue (errno 0), which
	  gstdtlsconnection's handle_error explicitly ignores and retries.
	  OpenSSL 4.0.0 stopped allowing it. Commit
	  be42447469dcccc68b7e115c7947e3c25124f3f2 "Fix the converters between the old and
	  new BIO_read functions to handle end-of-file state properly"
	  (PR openssl/openssl#29290, first released in 4.0.0) reworked bread_conv: when an
	  old-style read returns 0 and BIO_CTRL_EOF reports not-at-EOF it now sets
	  BIO_FLAGS_AUTO_EOF, and BIO_eof returns 1 whenever that flag is set.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12191>

2026-07-29 15:20:40 +0900  Seungha Yang <seungha@centricular.com>

	* gst/closedcaption/gsth265reorder.c:
	  h265seiinserter: Fix HEVC with alpha stream handling
	  Ignore NAL units with non-zero nuh_layer_id, as h265decoder does,
	  applying the same change as
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11144
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12189>

2026-07-17 12:01:06 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/resindvd/gstmpegdemux.c:
	  resindvd: mpegpsdemux: Port parse_psm() to byte readers
	  Apply 948b87bf15 here too.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12183>

2026-07-17 11:13:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/resindvd/gstmpegdemux.c:
	  resindvd: mpegpsdemux: Port over byte reader changes from the main plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12183>

2026-07-16 15:34:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegdemux/gstmpegdemux.c:
	  mpegpsdemux: Use byte readers for parsing data and make sure enough data is available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12183>

2026-07-21 15:35:44 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Make the g-ir-scanner init section consistent across modules
	  We weren't disabling the registry correctly due to typos and missing
	  env vars.
	  This speeds up introspection builds considerably on Windows.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12163>

2026-07-21 15:32:45 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Don't assert if stream pad was not yet created
	  Fix an assert when a continuity missmatch is detected for a stream for which its
	  pad is not yet exposed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12162>

2026-07-20 16:51:43 +0900  Jihoon Lee <ejihoon.lee@lge.com>

	* gst-libs/gst/wayland/gstwlvideobufferpool.c:
	  wlvideobufferpool: Fix memory leak in gst_wl_video_buffer_pool_alloc_buffer
	  Fix dma_mem leak on buffer too small path in gst_wl_video_buffer_pool_alloc_buffer()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12160>

2026-07-14 04:01:10 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Don't register the hw-only variant on simulators
	  Simulators *never* expose a hardware decoder in the VT APIs. It is
	  always a software decoder, even if the implementation might be backed
	  by a hardware decoder on the host system.
	  This was tested on iOS and tvOS Simulators on an M4 Mac Mini, M1 Mac
	  Mini, and a 2014 Intel Mac Mini.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12112>

2026-07-16 21:31:45 +0200  Diego Nieto <dnieto@fluendo.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: fix SEI parsing error handler
	  Clear the partially parsed SEI message in case of an error to
	  prevent memory leaks and avoid processing stale data.
	  Fixes #5219
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12132>

2026-04-10 19:50:06 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/tflite/gsttfliteinference.c:
	  tflifeinference: Fix leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11404>

2026-07-13 18:47:16 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvdspu/gstspu-vobsub.c:
	  dvdspu: Fix too strict off-by-one bounds check in a couple of places
	  This prevented reading the last byte in some cases.
	  Also add a missing bounds check to a debug function that is not compiled in by
	  default, so is actually not really important at all.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12126>

2026-07-16 13:45:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pnm/gstpnmdec.c:
	  pnmdec: Fix out-of-bounds write with bitmap PNM files and non-multiple-of-8 resolutions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12124>

2026-07-16 13:42:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pnm/gstpnmdec.c:
	  pnmdec: Use correct return value for negotiation failure
	  This returns GstFlowReturn and FALSE equals to GST_FLOW_OK.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12124>

2026-07-16 13:31:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pnm/gstpnmdec.c:
	  pnmdec: Don't flush more data from the adapter than is available
	  Instead wait for future data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12124>

2026-07-16 13:31:26 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pnm/gstpnmdec.c:
	  pnmdec: Don't assert if creating the output state fails
	  This can happen e.g. if the resolution is too large for the given format.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12124>

2026-07-08 19:30:19 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvavp9enc.c:
	  va: vp9enc: Mark super frame as corrupt when any frame is corrupt
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12123>

2026-07-08 19:24:14 +0800  He Junyan <junyan.he@intel.com>

	* sys/va/gstvaav1enc.c:
	  va: av1enc: Mark TU as corrupt when any frame is corrupt
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12123>

2026-07-08 15:02:16 +0200  Maksim Nikolaev <maksim.nikolaev.dev@gmail.com>

	* sys/va/gstvabaseenc.c:
	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  va: recover from corrupt or overflowing coded buffers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12123>

2026-07-08 15:01:42 +0200  Maksim Nikolaev <maksim.nikolaev.dev@gmail.com>

	* sys/va/gstvaav1enc.c:
	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabaseenc.h:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvah265enc.c:
	* sys/va/gstvavp8enc.c:
	* sys/va/gstvavp9enc.c:
	  va: size the coded buffer for the CBR bitrate budget
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12123>

2026-07-13 15:24:31 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vulkan/gstvktrash.c:
	  vulkantrash: avoid reinitializing trash objects multiple times
	  Fixes a leak of miniobject private data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12117>

2026-07-13 16:02:34 +1000  Matthew Waters <matthew@centricular.com>

	* gst-libs/gst/vulkan/gstvkformat.c:
	  vulkan/format: add 3-plane i420 format
	  mesa/amd chooses this format for I420.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12117>

2026-07-16 09:00:50 +1000  Jan Schmidt <jan@centricular.com>

	* sys/d3d11/gstd3d11winrtcapture.cpp:
	  d3d11winrtcapture: Fix incorrect capture height
	  Fix a typo where capture_height would not get properly
	  assigned. Fixes invalid copy region errors.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12115>

2026-07-14 18:15:07 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* docs/meson.build:
	  docs: Fix build when mse library is disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12113>

2026-07-08 10:30:35 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstvc1parse.c:
	  vc1parse: Set has_timing_info() / syncable() in start()
	  The values are reset in PAUSED->READY so setting them only in instance init is
	  not enough.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12102>

2026-07-08 10:29:59 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pcapparse/gstirtspparse.c:
	  irtspparse: Set min frame size in start()
	  The value is reset in PAUSED->READY so setting it only once in instance init is
	  not enough.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12102>

2026-07-10 09:24:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	* ext/wayland/gstwaylandsink.c:
	  waylandsink: Omit reporting drop frame on preroll
	  These sink are a bit special, since they report dropped frame on the next
	  incoming frame. If the sink queue is full when the paused state is reached,
	  the preroll during paused to playing transition will report a drop, which
	  leads to base sink aborting the transition.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12037>

2026-07-07 19:23:32 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstdiracparse.c:
	* gst/videoparsers/gsth263parse.c:
	  h263parse: diracparse: Sync baseparse configuration with other compressed video parsers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12096>

2026-07-08 15:41:59 +0200  Albert Sjölund <alberts@axis.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: fix possible floating leak for post-aux
	  The behaviour is different between aux-sender and post-aux-sender. There
	  is a conditional ref_sink if the element is floating in one but not the
	  other. As the element is afterwards added to a bin sink the element
	  before adding.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12085>

2026-07-08 23:48:39 +0200  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.5

=== release 1.28.5 ===

2026-07-08 23:42:39 +0200  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.5

2026-06-26 11:45:51 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/librfb/rfbdecoder.c:
	  rfbsrc: Read the correct number of bytes for color values
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12077>

2026-06-26 11:19:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/librfb/rfbdecoder.c:
	  rfbsrc: Use correct bpp for copying hextile data
	  Fix provided by Clouditera Security, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5173
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12077>

2026-06-25 11:47:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/dtls/gstdtlsconnection.c:
	  dtlsconnection: Allocate large enough buffer for the peer certificate subject DN
	  Fix provided by Clouditera Security.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5172
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12076>

2026-06-25 11:18:53 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/webrtc/webrtcsdp.c:
	  webrtcsdp: Fix inverted fingerprint existence logic
	  Fix provided by Clouditera Security, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5171
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12075>

2026-06-24 11:00:43 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/closedcaption/ccutils.c:
	* gst/closedcaption/gstccconverter.c:
	  ccconverter: Use truncated length when converting CEA608 raw to CEA708 CDP
	  Also make sure no caller passes too much data to cc_buffer_push_separated()
	  and truncate internally to the absolute maximum.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5161
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12074>

2026-06-24 09:58:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstvp9parser.c:
	  vp9parser: Check that enough data is available for parsing superframe info
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5160
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12073>

2026-06-22 14:02:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Check bounds before writing to CTU entrypoint array
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5156
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12070>

2026-06-22 13:44:29 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Avoid out-of-bounds read if too many exp slices are signalled
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5155
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12069>

2026-06-22 13:44:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Fix typos in warning messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12069>

2026-06-17 11:04:05 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstmpeg4videoparse.c:
	  mpeg4videoparse: Ensure enough config data is available before extracting profile/level
	  Patch provided by Ramesh Adhikari, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5110
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12057>

2026-07-03 08:30:32 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d12/gstd3d12device.cpp:
	  d3d12: Fix command list leak
	  Unref command list after use
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5200
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/12006>

2026-07-01 16:14:55 +0900  amy.ko <amy.ko@lge.com>

	* sys/v4l2codecs/gstv4l2decoder.c:
	  gstv4l2decoder: Fix media_fd leak when video_fd open fails
	  When opening v4l2 decoder, media_fd and video_fd are opened.
	  However, there is no code to close media_fd when opening
	  video_fd fails. This results in a media_fd leakage.
	  Close media_fd by calling gst_v4l2_decoder_close() in the
	  video_fd error path.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11999>

2026-06-15 15:40:17 +0200  Christopher Meltzer <christme@axis.com>

	* ext/curl/gstcurlsmtpsink.c:
	  gstcurlsmtpsink: Use the correct content-type if known
	  Previously gstcurlsmtpsink put "application/octet-stream" as the
	  content-type. This caused mail clients to save the content to a file
	  instead of displaying it.
	  Now we instead use the content-type of the sink if it is known,
	  otherwise we use "application/octet-stream" as the content type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11991>

2026-07-01 15:21:44 +0100  Walisiewicz <alexei.walisiewicz@v-nova.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Heap-allocate parameter sets before parse to avoid stack overflow
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11990>

2026-07-01 09:57:38 -0400  Julian Bouzas <julian.bouzas@collabora.com>

	* gst/videoparsers/gsth264parse.c:
	* gst/videoparsers/gsth265parse.c:
	* gst/videoparsers/gstmpegvideoparse.c:
	* gst/videoparsers/gstvideoparseutils.c:
	* gst/videoparsers/gstvideoparseutils.h:
	  videoparsersbad: Always clear LCEVC enhancement data when resetting frame
	  There is no need to keep the LCEVC data from an old frame as the data is only
	  useful for the frame it is associated with. This also fixes a memleak when
	  running gst-discoverer-1.0.
	  Fixes #5192
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11987>

2026-06-26 17:23:39 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/transportreceivebin.c:
	* ext/webrtc/transportreceivebin.h:
	* ext/webrtc/utils.c:
	* ext/webrtc/utils.h:
	* ext/webrtc/webrtcsdp.c:
	* ext/webrtc/webrtcsdp.h:
	  webrtcbin: validate remote fingerprints match peer dtls certificate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11963>

2026-06-26 16:10:40 +1000  Matthew Waters <matthew@centricular.com>

	* ext/webrtc/transportreceivebin.c:
	* ext/webrtc/transportreceivebin.h:
	  webrtc/transportreceivebin: remove unused rt(c)p probe fields
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11963>

2026-06-26 14:53:54 -0400  Xavier Claessens <xclaessens@netflix.com>

	* ext/qroverlay/gstqroverlay.c:
	  qroverlay: Fix use after free bug
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11960>

2026-06-23 19:46:32 +1000  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  mpegtsmux: Always assign PTS to output buffers in CBR mode
	  !6380 introduced a regression where some output buffers
	  might not receive a PTS in CBR mode
	  Fixes #5151
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11955>

2026-06-24 17:41:28 +0900  Jeehyun Lee <jeehyun.lee@lge.com>

	* gst/rtp/gstrtpsink.c:
	  rtpsink: fix mutex not unlocked on invalid URI in set_property
	  If gst_uri_from_string() returns NULL, the function breaks out of the
	  switch without calling GST_RTP_SINK_UNLOCK, leaving the mutex locked.
	  Any subsequent call to set_property on the same object will deadlock.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11949>

2026-06-17 10:03:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Check aspect ratio index against lookup table length
	  Patch provided by Ramesh Adhikari, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5109
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11942>

2026-06-16 15:23:13 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gsth264parse.c:
	  h264parse: Check for enough slice header data being available
	  Patch provided by Ramesh Adhikari, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5108
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11941>

2026-06-19 15:42:52 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/va/gstvasurfacecopy.c:
	  va: surfacecopy: get surface's image in `gst_va_surface_copy`
	  Since 2021 the function `gst_va_surface_copy()` has been incomplete, since even
	  the image is created, it wasn't retrieved from the surface.
	  It went unnoticed on iHD Intel platforms because `vaCopy()` was used, but not in
	  Mesa.
	  The fix is just to actually retrieve the image from the source surface.
	  Also, left a notice that derived could be used and it could be more efficient in
	  Mesa after the fix is merged, but we would use the mechanism to check the
	  driver's implementation _and_ version.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/3906
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11935>

2026-06-18 10:10:27 +0000  Christoph Seitz <christoph.seitz@infineon.com>

	* ext/avtp/gstavtpbasedepayload.c:
	  avtp: Correct ptime generation from avtp timestamp
	  Fix the calculation of the presentation time from the avtp by
	  properly adjusting for the rollover of the reference or avtp
	  timestamp. The adjustment is needed whenever the distance
	  between there reference timestamp and avtp timestamp is lager
	  then half the avtp timestamp size.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11934>

2026-06-15 19:50:30 +1000  Jan Schmidt <jan@centricular.com>

	* tests/check/elements/netsim.c:
	  netsim: Fix racy test failures
	  This test stress tests netsim by switching state
	  rapidly while sending buffers and events through.
	  That means that events sometimes land on a flushing pad
	  and don't get sent, yielding sticky event errors
	  that need filtering away.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11933>

2026-06-22 12:53:52 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pnm/gstpnmdec.c:
	* gst/pnm/gstpnmutils.h:
	  pnmdec: Avoid overflows when calculating frame sizes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11926>

2026-06-22 12:39:57 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gsth264parse.c:
	* gst/videoparsers/gsth265parse.c:
	  h2654parse: Unset GValue in every code path
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11921>

2026-06-22 12:34:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Use long bit skipping function for potentially large values
	  The other one is going to assert for more than 64 bits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11920>

2026-03-26 17:08:26 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	  h265decoder: Fix HEVC with alpha decoding
	  HEVC multi-layer streams such as HEVC with alpha contain slices
	  with non-zero nuh_layer_id that should be handled differently, but
	  the base class does not distinguish slices belonging to different
	  layers.
	  Until proper multi-layer decoding support is implemented, ignore
	  any NAL units with non-zero nuh_layer_id as specified by the spec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11916>

2026-06-20 17:40:00 +1000  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	* tests/check/elements/mpegtsdemux.c:
	* tests/files/test_pcr_rollover.ts:
	  mpegtsdemux: Improve PTS rollover handling in ignore-pcr mode
	  When ignore-pcr is true, timestamp epoch detection could get confused
	  by PTS jumping around as we cross the rollover threshold - either from
	  PTSes being out of order in a stream, or from conversions across the
	  different streams in a mux. This adds handling for the PTS crossing
	  backward into the previous epoch correctly, without accidentally
	  jumping a full 26-hour PCR epoch into the future.
	  Add a test file and a unit test that tsdemux correctly
	  processes PCR/PTS rollover when in ignore-pcr=true mode.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11905>

2026-06-19 12:13:15 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/androidmedia/gstamcvideodec.c:
	  amcviddec: Fix double-free happening when codec gets reconfigured
	  In basic usage (configure -> decode -> destroy), freeing codec_data and
	  leaving the pointer dangling is harmless. But if the decoder is reconfigured
	  after gst_amc_video_dec_stop (as opposed to getting destroyed), then
	  existing logic will interpret the non-null codec_data as being valid and
	  cause use-after-free, further leading to freeing it (again) when the codec
	  is stopped a second time.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11902>

2026-06-19 08:39:36 +0200  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: fix remaining offsets index entry insertion call site
	  ... which I missed as part of:
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11882
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11892>

2026-06-18 15:20:58 +0200  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: fix essence track offsets array population
	  The essence track offsets array provides a way to get access to an essence
	  track even when the container doesn't provide an index. It is populated on the
	  go as entry are being processed and checked in priority when looking for an
	  entry.
	  Code paths adding entries to the offsets array assumed a sequentially
	  increasing sequence, which didn't comply with seeks nor reverse playback.
	  Most of the time, this would remain unnoticed since other methods would allow
	  retrieving the entry.
	  However, an assertion could fail in the following situation: a bogus package
	  for which one track presents one additional entry compared to the other tracks
	  and this additional entry is not included in the index table. If a seek was
	  performed the first time the stream was played and the stream reached the EOS,
	  the additional entry (not part of the index and not part of the offsets) would
	  lead to executing a code path asserting this entry's position should be <= the
	  offsets len, following the assumption that all entries would be added
	  sequentially. But because of the seek, the regular code path hadn't added some
	  of the post seek entries (because they were not the next expected entries),
	  hence an assertion failure on the last entry.
	  This commit adds all new entries to the offsets array as soon as they are found
	  and whatever their arrival position. The offsets array is now created with the
	  essence track instead of creating it on the first entry. Therefore, it is no
	  longer needed to check whether it is valid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11892>

2026-06-17 16:23:53 +0200  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	* gst/mxf/mxfdemux.h:
	  mxdemux: index entry: use intialized
	  ... instead of the offset != 0 sentinel.
	  A previous version of the code used 0 as an offset sentinel to state & check the
	  entry was initialized or not. Then the field `initialized` was added, but some
	  parts of the code keep checking the sentinel.
	  This commit relies on `initialized` which makes it clearer what the intention is.
	  It also makes sure code is capable of dealing with gaps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11892>

2026-06-17 15:48:32 +0200  Jan Alexander Steffens (heftig) <jan.steffens@ltnglobal.com>

	* gst/rtmp2/rtmp/rtmpclient.c:
	  rtmp2: Remove socket timeout after handshake completes
	  A server might send us nothing when we're publishing (rtmp2sink), not
	  even RTMP acknowledgement messages, which causes fatal timeouts as of
	  20adfe5659f8.
	  See: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8989#note_3441479
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11890>

2025-05-16 12:47:35 +0200  Piotr Brzeziński <piotr@centricular.com>

	* gst/rtmp2/rtmp/rtmpconnection.c:
	  rtmp2: Don't retry on G_IO_ERROR_TIMED_OUT
	  Retrying forever on a timeout made rtmp2sink prone to hanging if the server misbehaves.
	  When that happens, rtmp2sink becomes impossible to stop/EOS by normal means.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11889>

2026-06-16 10:30:54 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/vmnc/vmncdec.c:
	  vnmdec: Avoid integer overflows when rectangle positions and sizes
	  Patch based on a patch by Junyi Liu, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5107
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11876>

2026-06-16 09:30:00 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/pcapparse/gstpcapparse.c:
	  pcapparse: Add missing bounds checks to ensure packets are large enough
	  Patch based on a patch by Junyi Liu, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5106
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11874>

2026-06-15 17:57:00 +0200  Tomas Granath <tomas.granath@outlook.com>

	* gst/mpegdemux/gstmpegdemux.c:
	  mpegpsdemux: Release stream lock when seeking fails
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11871>

2026-06-14 22:03:25 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/librfb/rfbdecoder.c:
	  librfb: Validate framebuffer update rectangles against the framebuffer size
	  Patch provided by Junyi Liu, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5105
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11868>

2026-06-12 13:27:54 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.4

=== release 1.28.4 ===

2026-06-12 13:19:43 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.4

2026-06-04 11:47:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfdemux.c:
	* gst/mxf/mxfmetadata.c:
	* gst/mxf/mxfmetadata.h:
	* gst/mxf/mxftypes.c:
	* gst/mxf/mxftypes.h:
	  mxfdemux: Use unsigned integers in more places and don't truncate 64 bit integers
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5048
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11837>

2026-06-09 09:40:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/va/gstjpegdecoder.c:
	  vajpegdecoder: Validate that enough data is available for the current JPEG segment
	  gst_jpeg_parse() does not ensure this and relies on the caller to collect enough
	  data. All other users of the function are doing this correctly.
	  Here we can directly error out if not enough data is available as we require
	  parsing input.
	  Patch provided by Junyi Liu, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5104
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11834>

2026-06-09 09:26:38 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	  av1parser: Fix bytes/bits confusion when parsing tile data size
	  Which would then later lead to an assertion.
	  Patch provided by Junyi Liu, who also reported this.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5103
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11827>

2026-06-10 12:17:10 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  mpegtspacketizer: Do not seek before the first PCR
	  It can be that the first PCR offset is slightly non-zero (for instance, video
	  starts mid-GOP). In that case, when we try to seek earlier than that (usually to
	  zero, see also SEEK_TIMESTAMP_OFFSET which will still throw us to zero when
	  we're seeking before 2.5sec) we shouldn't fail/EOS. Just return the first PCR
	  instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11786>

2026-06-05 12:50:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d12/gstd3d12decoder.cpp:
	  d3d12decoder: Use subresource index as view ID directly for tier-1 decoders
	  D3D12 Tier-1 decoding uses a texture-array DPB. Some drivers seem to
	  expect DXVA view IDs to match subresource index, like D3D11 decoding.
	  Use the actual subresource index as the view ID in this mode instead of
	  assigning a separate internal slot ID
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11781>

2026-06-05 12:25:14 +0900  Seungha Yang <seungha@centricular.com>

	* sys/d3d12/gstd3d12decoder.cpp:
	  d3d12decoder: Set colorspace to conversion args
	  Don't use RGB color space for YUV formats
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11781>

2026-06-05 10:07:59 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/dxva/gstdxvavp8decoder.cpp:
	* gst-libs/gst/dxva/gstdxvavp9decoder.cpp:
	  dxva: Fix VP8/VP9 decoding on Qualcomm GPUs
	  AssociatedFlag must be zero for valid reference frames according
	  to the DXVA VP8/VP9 specification
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11781>

2026-05-11 19:11:01 +0200  Jakub Adam <jakub.adam@collabora.com>

	* gst-libs/gst/mse/meson.build:
	* tests/check/libs/gstlibscpp.cc:
	* tests/check/meson.build:
	  meson: fix building -bad tests with disabled mse
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11617>

2026-05-12 16:08:30 +0200  Carlos Falgueras García <cfalgueras@fluendo.com>

	* tests/check/libs/av1parser.c:
	  tests: fix support with glib <= 2.67.2
	  These tests use "g_memdup2()" but they don't include
	  "gst/glib-compat-private.h", which makes the compilation fail when linking
	  against Glib <= 2.67.2 as "g_memdup2()" was included at 2.67.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11618>

2026-04-27 17:03:14 +0800  Hou Qi <qi.hou@nxp.com>

	* gst/camerabin2/gstwrappercamerabinsrc.c:
	  camerabin: Fix caps negotiation when starting to capture
	  Use BLOCK_DOWNSTREAM probe instead of IDLE probe when starting image and
	  video capture to ensure proper caps negotiation with downstream elements.
	  Using an IDLE probe could allow buffers to flow before caps negotiation
	  completes with the downstream encodebin elements, causing the camerabinsrc
	  to select caps that are incompatible with the video or image encoder.
	  BLOCK_DOWNSTREAM ensures the pipeline is blocked during reconfiguration
	  and caps negotiation completes before buffers flow.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11774>

2026-05-26 13:22:03 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/ndk/gstamc-codec-ndk.c:
	  androidmedia: Fix typo in error message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11692>

2026-05-25 19:05:44 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	  amc: Don't try printing NULL caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11688>

2026-05-25 18:50:39 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamcvideodec.c:
	  amcvideodec: Don't keep crop-rectangle uninitialized if not specified
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11686>

2026-05-22 16:56:12 +0900  MilkClouds <milkclouds00@gmail.com>

	* sys/wasapi2/gstwasapi2rbuf.cpp:
	  wasapi2: Don't reset process loopback capture client
	  The process loopback virtual device does not resume capture after
	  IAudioClient::Reset(): a later Start() returns S_OK but no buffers
	  are delivered and the event handle is never signalled, so the
	  pipeline stalls.
	  Two paths call Reset() on the capture client:
	  - the warm-up in gst_wasapi2_rbuf_ctx_init() (Start/Stop/Reset). It
	  exists to hide idle-hardware Start() latency and is meaningless for
	  the virtual process loopback device. Skip it for process loopback.
	  - RbufCtx::Stop(). Skip the Reset() there for process loopback so the
	  client survives a stop/start (pause/resume) cycle.
	  Start/Stop/Start without Reset() works correctly, so only Reset()
	  needs to be avoided.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11683>

2026-05-13 10:52:53 -0400  Xavier Claessens <xclaessens@netflix.com>

	* sys/va/gstvafilter.c:
	* sys/va/gstvafilter.h:
	  vafilter: Add support for premultiplied alpha
	  This is a backport of a part of
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11619.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11675>

2026-02-03 10:59:13 +0100  Marcus Hanestad <marlhan@proton.me>

	* sys/androidmedia/gstamcaudiodec.c:
	  androidmedia: support decoding flac
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11647>

2026-05-15 15:56:45 +0800  Cheah, Vincent Beng Keat <vincent.beng.keat.cheah@intel.com>

	* gst-libs/gst/va/gstvadisplay_drm.c:
	  va: drm: Fix fd leak and return type in create_va_display
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11642>

2026-03-17 15:03:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/vulkan/vkupload.c:
	  vulkanupload: Don't reallocate the pool when the framerate changes
	  This causes an unnecessary stall in pipelines where the framerate
	  changes frequently because we're decoding, for instance, fmp4.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11628>

2026-05-08 15:32:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	  androidmedia: Add H265 main-still-picture profile mapping
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 15:28:58 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc-constants.h:
	* sys/androidmedia/gstamc.c:
	  androidmedia: Add some more AAC profile mappings
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 15:16:15 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	* sys/androidmedia/gstamcaudiodec.c:
	  androidmedia: Add caps mappings for AC3/EAC3/AC4
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 15:12:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	* sys/androidmedia/gstamcvideodec.c:
	* sys/androidmedia/gstamcvideoenc.c:
	  androidmedia: Add caps mappings for WMV and VC1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 14:48:40 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	  androidmedia: Add video/mp43 as alias for video/mp4v-es
	  Some devices use it for the same codec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 14:39:21 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	* sys/androidmedia/gstamcaudiodec.c:
	  androidmedia: Add audio/mpeg-L1 caps mapping
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11614>

2026-05-08 13:50:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstahcsrc.c:
	  ahcsrc: Register exposure-mode property for GstPhotography interface
	  This was added some years ago to the interface, which was technically a breaking
	  change. Now the property needs to be provided by all implementers of the
	  interface.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11613>

2026-05-08 12:56:37 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamcaudiodec.c:
	* sys/androidmedia/gstamcvideodec.c:
	* sys/androidmedia/gstamcvideoenc.c:
	  androidmedia: Don't print error logs if downstream returns flushing / EOS
	  Just log them normally as debug logs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11610>

2026-04-07 17:31:50 +0900  Seungmin Lee <seungmin.lee.cpp@navercorp.com>

	* ext/svtav1/gstsvtav1enc.c:
	* ext/svtav1/meson.build:
	  svtav1enc: Scale MDCV and CLL to SVT-AV1's expected units
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11609>

2026-05-11 18:33:25 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.3

=== release 1.28.3 ===

2026-05-11 18:28:12 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.3

2026-04-27 16:45:04 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfvanc.c:
	  mxfdemux: Fix parsing of multiple VANC packets per edit unit
	  Only the first packet was parsed before.
	  Also fix a couple of bounds checks and add missing bounds checks.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11592>

2026-04-27 16:42:20 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfvanc.c:
	  mxfmux: Fix size calculations when writing VANC packets
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5044
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11592>

2026-04-15 15:19:12 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: Fix reverse temporal offsets array upper bounds check
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5041
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11589>

2026-04-15 11:35:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Avoid out-of-bounds write when parsing PPS tile slices
	  Thanks to Tian Shuo for reporting and suggesting the fix.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5035
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11588>

2026-04-09 21:34:23 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/resindvd/gstpesfilter.c:
	* gst/mpegdemux/gstpesfilter.c:
	  mpegdemux: Add missing bounds checking to PES header parsing
	  And also add missing advancing of the data pointer in various places, which
	  would've caused all following header field parsing to read the wrong data.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11587>

2026-04-09 15:34:09 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegdemux/gstmpegdemux.c:
	  mpegdemux: Adding missing bounds checks when scanning for timestamps
	  Also make the already existing checks a bit more explicit and avoid integer
	  overflows with length calculations by using a bigger integer type.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11587>

2026-04-09 15:31:10 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/resindvd/gstpesfilter.c:
	* gst/mpegdemux/gstpesfilter.c:
	  mpegdemux: First check for enough data and then read the DTS and not the other way around
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5026
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11587>

2026-04-28 15:58:32 +0900  Dennis Han <jshan@live.co.kr>

	* ext/qt6d3d11/gstqt6d3d11videoitem.cpp:
	  qt6d3d11: fix null check in SetForceAspectRatio()
	  The null-check branch incorrectly attempted to call
	  setForceAspectRatio() on a null item pointer.
	  Return early when item is null and call the setter otherwise.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11575>

2026-05-08 18:05:19 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/androidmedia/gstamc.c:
	  androidmedia: Free element name after use for logging
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11573>

2026-05-07 16:49:08 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Add missing freeing function for H266 SEI message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11571>

2026-04-07 18:41:35 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst/closedcaption/misc.h:
	  closedcaption: Fix invalid ISO varargs syntax
	  When there are no var args, there's a trailing comma. MSVC has been
	  suppressing that trailing comma, but in /std:c11 mode it (correctly)
	  does not suppress it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11563>

2026-04-07 13:09:24 +0100  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	  meson: Require C std gnu11 or c11
	  When using gcc or clang, gnu11 will be used, and when using MSVC c11
	  will be used which will pass /std:c11. This provides us with the
	  `restrict` keyword on all supported platforms.
	  We can do this now because we require Visual Studio 2019.
	  This feature was added in Meson 1.3
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11563>

2026-05-06 16:05:40 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklink.cpp:
	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklink: Fix various refcount issues and related leaks
	  Also initializes refcount with 1 again in GStreamerVideoOutputCallback for
	  consistency, which was changed in https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11006
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11558>

2026-04-10 17:35:41 +0300  Sebastian Dröge <sebastian@centricular.com>

	* sys/aja/gstajasink.cpp:
	  ajasink: Correctly set reference source
	  It's SetFramePulseReference() does something different and what we want is
	  SetReference() just like in the source element.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11309>

2026-03-31 12:57:19 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstamc.c:
	  amc: Log the caps for registered codecs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11551>

2026-01-17 00:40:11 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstamc.c:
	  amc: Reduce verbosity of INFO logging during init
	  We log too much during init to INFO, and Android Studio just drops all
	  those messages because they're too many.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11551>

2026-01-16 04:49:31 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstamc.c:
	  amc: Add constrained-baseline profile when baseline is available
	  Otherwise we can't decode constrained-baseline videos.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11551>

2026-01-16 02:43:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstamcvideoenc.c:
	  amc: Remove support for API level < 25
	  We no longer support Android older than Nougat.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11551>

2026-05-07 17:17:39 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* gst/videoparsers/h263parse.c:
	  h263parse: Fix wrong ratio masking
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11537>

2026-05-07 17:09:32 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* gst/videoparsers/gsth263parse.c:
	  h263parse: Missing handling of reserved invalid EPAR_D value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11535>

2026-05-07 16:43:15 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* gst/videoparsers/gstpngparse.c:
	  pngparse: Fix Use-after-free bug
	  Signed-off-by: Arthur Chan <arthur.chan@adalogics.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11531>

2026-05-07 16:35:31 +0100  Arthur Chan <arthur.chan@adalogics.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Fix null pointer deference
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11529>

2026-05-06 22:38:43 +0900  Seungha Yang <seungha@centricular.com>

	* ext/qt6d3d11/gstqml6d3d11sink.cpp:
	* ext/qt6d3d11/gstqsg6d3d11node.cpp:
	  qml6d3d11sink: Clear texture on Paused-to-Ready transition
	  Like the GL version of qmlsink, clear owned texture to black
	  instead of keeping the last rendered frame
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11520>

2026-04-21 09:32:02 -0400  Xavier Claessens <xclaessens@netflix.com>

	* sys/va/gstvabaseenc.c:
	  va: do not post error message when push fails
	  Downstream is responsible to post a specific error message. If it did
	  not, then upstream source will post a generic error message.
	  Intermediary elements just have to propagate the return value.
	  This prevents posting an error message when stopping a pipeline and
	  GST_FLOW_FLUSHING is returned.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11504>

2026-03-26 11:40:44 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtutil.c:
	* sys/applemedia/vtutil.h:
	  applemedia: Don't expose unsupported formats for Vulkan/GL
	  We exposed lots of formats in caps, but GL/Vulkan code doesn't have
	  paths for all of them. For GL specifically, BGRA is theoretically
	  supported but it's currently broken, pending investigation.
	  Also adds a filter to gst_vtutil_caps_append_video_format() to avoid
	  putting RGBA64_LE in non-system-memory part of the caps in vtdec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11498>

2026-04-29 10:00:08 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* tests/check/pipelines/vtdec-output-paths.c:
	  applemedia: tests: harden vtdec output path checks
	  The appsink new-sample callback runs from the streaming thread and
	  asks the main loop to stop once the comparison prefix has been
	  collected. Release the pulled sample before waking the main thread
	  and keep only the requested number of buffers.
	  The fixture has enough frames for the comparison, so EOS before
	  collecting the requested eight samples is a failure. Require the
	  expected sample count and report the actual count.
	  Use gst_check_run_suite_nofork() for the nofork setup as well. The
	  previous manual runner always returned 0, hiding check failures from
	  Meson.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11461>

2026-04-28 11:45:43 +0200  Tomasz Bujewski <tomasz.bujewski@intel.com>

	* gst-libs/gst/analytics/gstanalyticsobjectdetectionmtd.c:
	* gst-libs/gst/analytics/gstanalyticssegmentationmtd.c:
	  analytics: fix meta transform functions for copy cases
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11476>

2026-01-22 13:13:28 +0100  Fabian Orccon <cfoch.fabian@gmail.com>

	* gst-libs/gst/mse/meson.build:
	  mse: Also disable the library if the option is disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11473>

2026-04-28 16:33:05 +0200  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/pesparse.c:
	  mpegts: Fix ESCR reading
	  The second part is 4 bytes further
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11454>

2026-04-28 16:32:18 +0200  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  mpegtsbase: Protect potential OOB read
	  Like it's done in get_registration_from_descriptors()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11454>

2026-04-28 15:13:13 +0200  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtsbase.c:
	  mpegtsbase: Remove un-needed lines
	  flush_event will always be NULL here (cleared just above)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11454>

2026-04-23 18:39:44 +0200  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Avoid blocking decoder output callback
	  Blocking VT's output callback is not a good idea, as it can cause the
	  decoder to error out if it's blocked for too long, e.g. when a user
	  pauses playback. Especially with HEVC+alpha decoding, VT is extremely
	  sensitive and can error out after being blocked for just 10 seconds.
	  With this change I can't reproduce any similar problems anymore.
	  However, changing this also simplifies vtdec's locking situation a lot
	  because we have one less thread to possibly deadlock with. In fact, it's
	  been the source of most our problems since the output loop was added.
	  This change will hopefully reduce the amount of future problems in this
	  area.
	  This also resolves a recent issue where if the output loop triggered
	  draining (via negotiation during buffer push), the input side would
	  start to push buffers at max speed because the output loop (correctly)
	  no longer holds the stream lock while pushing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11441>

2026-04-24 16:48:57 +0200  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Don't leak CMSampleBuffer during decoder reset
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11441>

2026-03-30 16:45:31 +0200  Piotr Brzeziński <piotr@centricular.com>

	* ext/vulkan/vkupload.c:
	* tests/check/elements/vkupload.c:
	  vkupload: Fix wrong image dimensions due to stride mismatch
	  We were possibly using the wrong buffer for the get_plane_dimensions()
	  call. If the input buffer had a different stride value from the newly
	  allocated Vulkan buffer, the resulting image would be incorrect.
	  Also adds a test, which was actually meant to test an almost identical
	  issue in vulkandownload but ended up spotting this problem instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-03-26 10:34:11 +0100  Piotr Brzeziński <piotr@centricular.com>

	* ext/vulkan/vkdownload.c:
	* tests/check/elements/vkdownload.c:
	* tests/check/meson.build:
	  vkdownload: Fix corrupted output image due to mismatched stride/padding
	  Makes sure to the destination buffer layout when filling
	  VkBufferImageCopy for the image download. The old version was using the
	  input buf parameters for this, so if there was a mismatch, we'd get a
	  corrupted output image with each row shifted and stretched.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-03-31 12:38:22 +0200  Piotr Brzeziński <piotr@centricular.com>

	* tests/check/elements/cudaconvert.c:
	* tests/check/elements/cudafilter.c:
	* tests/check/elements/nvdec.c:
	* tests/check/elements/nvenc.c:
	* tests/check/libs/cudamemory.c:
	  tests: replace CK_FORK=no with GST_CHECK_MAIN_NOFORK
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-03-30 14:55:27 +0200  Piotr Brzeziński <piotr@centricular.com>

	* tests/check/elements/vkcolorconvert.c:
	* tests/check/elements/vkdeviceprovider.c:
	* tests/check/elements/vkupload.c:
	* tests/check/libs/vkcommandpool.c:
	* tests/check/libs/vkdevice.c:
	* tests/check/libs/vkformat.c:
	* tests/check/libs/vkimage.c:
	* tests/check/libs/vkimagebufferpool.c:
	* tests/check/libs/vkinstance.c:
	* tests/check/libs/vkmemory.c:
	* tests/check/libs/vkvideodecode.c:
	* tests/check/libs/vkvideoencodeav1.c:
	* tests/check/libs/vkvideoencodeh264.c:
	* tests/check/libs/vkvideoencodeh265.c:
	* tests/check/libs/vkwindow.c:
	  vulkan: Fix tests crashing on macOS due to fork() usage
	  Vulkan tests would end up segfaulting somewhere inside Metal when
	  running under MoltenVK on macOS.
	  Turns out this was because of fork() and simply disabling its usage
	  makes it all run.
	  The only exceptions are vkdeviceprovider and vkwindow tests: those spawn
	  a vulkansink which needs a window,
	  and for that we need to use gst_macos_main(), otherwise there's a
	  critical warning which causes the test to fail.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11387>

2026-04-23 12:09:29 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/corevideobuffer.c:
	  applemedia: fix planar CoreVideo buffer offsets
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11432>

2026-04-23 12:09:00 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* tests/check/pipelines/vtdec-output-paths.c:
	  applemedia: add vtdec download content checks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11432>

2026-04-24 12:25:19 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* tests/check/elements/interlace.c:
	  interlace: Add some more autoated tests
	  The ones referenced in
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/1764
	  and
	  https://gitlab.freedesktop.org/gstreamer/gstreamer/-/commit/bf89c80d74f424e54a401243513781c73d0a6e6d
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11428>

2026-04-24 11:49:11 +0300  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/interlace/gstinterlace.c:
	  Revert "interlace: Drop framerate from query caps of sinkpad"
	  This reverts commit 1ac30ad53fff9b572212d7727695b1424b803214.
	  This commit broke negotiation in pipelines where upstream framerate is flexible
	  and downstream framerate is fixed, i.e.
	  gst-launch-1.0 videotestsrc \
	  ! video/x-raw,framerate=30/1,interlace-mode=progressive \
	  ! videorate \
	  ! interlace field-pattern=1:1 \
	  ! video/x-raw,framerate=25/1,interlace-mode=interleaved \
	  ! fakesink
	  The original issue reported was fixed by commit
	  bf89c80d74f424e54a401243513781c73d0a6e6d.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/1764
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11428>

2026-04-23 11:12:37 +0200  RSWilli <bartel.wilhelm@gmail.com>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtc: take ownership of the src_bin and sink_bin
	  before this the webrtcbin takes ownership when adding the bins to the webrtcbin.
	  This could lead to use after free when the datachannel went into error state because of a lost connection
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11420>

2026-04-23 10:57:31 +0200  RSWilli <bartel.wilhelm@gmail.com>

	* ext/webrtc/webrtcdatachannel.c:
	  webrtc: don't leak error message
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11420>

2026-04-04 20:34:19 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfdeviceprovider.m:
	* sys/applemedia/avsamplevideosink.m:
	* sys/applemedia/corevideobuffer.c:
	* sys/applemedia/helpers.h:
	* sys/applemedia/meson.build:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtutil.c:
	  applemedia: Require Xcode 12.4 for all builds
	  Xcode 12.4 is the newest Xcode that you can install on macOS 10.15. We
	  require Xcode 12.4, but we only support macOS builds on it. For iOS,
	  tvOS, etc a newer (currently unspecified) Xcode version is required.
	  Fixes #4941
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11369>

2026-04-15 13:07:27 +0200  Anders Hellerup Madsen <anders@hellerup-madsen.dk>

	* sys/nvcodec/kernel/gstnvjpegenc.cu:
	  nvjpegenc: use float-precision constants in CUDA kernel
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11400>

2026-04-15 13:05:13 +0200  Anders Hellerup Madsen <anders@hellerup-madsen.dk>

	* sys/hip/kernel/converter.cu:
	  hip: use float-precision constants in converter kernel
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11400>

2026-04-15 12:52:46 +0200  Anders Hellerup Madsen <anders@hellerup-madsen.dk>

	* sys/nvcodec/kernel/gstcudaconverter.cu:
	  nvcodec: use float-precision constants in CUDA converter kernel
	  Replace double-precision floating point literals with explicit
	  single-precision (f-suffixed) constants throughout the CUDA converter
	  kernel. This avoids implicit float-to-double promotion in arithmetic
	  expressions, which incurs a significant performance penalty on GPU
	  hardware where double-precision math is much slower than float.
	  Affected areas:
	  - scale_to_* helper functions (e.g. val * 255.0 -> val * 255.0f)
	  - blend_* helper functions (division and subtraction chains)
	  - Output struct Blend methods (1.0 -> 1.0f argument)
	  - GstCudaConverterMain kernel (coordinate math and comparisons)
	  - Corresponding string-embedded copy of the kernel code
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11400>

2026-04-20 18:02:40 +0200  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Avoid locking up during a decoder reset
	  If require_reset is set while the reorder_queue is full, the output
	  callback can block. This in turn causes VTDecompressionSessionInvalidate
	  to block as well, leading to a deadlock because the reset logic holds
	  the stream lock, preventing the output loop from draining the queue.
	  This simply makes sure we don't block the output callback in this
	  scenario.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11395>

2026-03-30 11:13:38 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* tests/check/meson.build:
	* tests/check/pipelines/vtdec-output-paths.c:
	  vtdec: Pipeline tests for all 3 memory output paths
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11285>

2026-03-29 20:25:37 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/vtdec.c:
	  vtdec: warn about MoltenVK argument buffers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11285>

2026-03-17 21:36:21 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/iosurfacevulkanmemory.c:
	* sys/applemedia/iosurfacevulkanmemory.h:
	* sys/applemedia/metal-helpers.h:
	* sys/applemedia/videotexturecache-vulkan.mm:
	  applemedia: import Metal textures at Vulkan image creation time
	  MoltenVK 1.3.0 and later regressed on the
	  vtdec -> VulkanImage -> vulkancolorconvert path when
	  IOSurface-backed plane textures were attached after
	  vkCreateImage() through vkSetMTLTextureMVK().
	  That path relies on MoltenVK-specific post-creation binding APIs
	  that have been superseded by standard Metal interop extensions.
	  Keep the existing per-plane MTLTexture creation, but move the
	  Metal texture import into VkImage creation through
	  VkImportMetalTextureInfoEXT.
	  Importing the Metal texture as part of VkImageCreateInfo makes
	  the Vulkan image describe the external texture at creation time
	  instead of retrofitting it afterward. This aligns the Apple
	  import path with the newer Metal-object import model and avoids
	  depending on the deprecated post-create binding flow.
	  On affected MoltenVK releases, successful playback still requires
	  setting MVK_CONFIG_USE_METAL_ARGUMENT_BUFFERS=0 at runtime.
	  That workaround was confirmed from MoltenVK 1.3.0 onward during
	  investigation of this path.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11285>

2026-03-17 21:35:35 -0400  Dominique Leroux <dominique.p.leroux@gmail.com>

	* gst-libs/gst/vulkan/meson.build:
	  vulkan: prefer direct MoltenVK linkage on Darwin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11285>

2026-04-15 13:07:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfaes-bwf.c:
	  mxfmux: aes-bwf: Use correct size when serializing user data / channel status mode
	  This code is not actually reachable (yet) from mxfmux.
	  Thanks to Tian Shuo for reporting and suggesting the fix.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5037
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11345>

2026-04-10 17:04:55 -0400  Monty C <montyc1999@gmail.com>

	* sys/applemedia/vtdec.c:
	  vtdec: fix deadlock when restarting
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11343>

2026-04-14 22:09:40 +0900  Andrew Yooeun Chun <aychun00@gmail.com>

	* gst-libs/gst/codecparsers/gsth265parser.h:
	  h265parser: fix comments in header
	  CPS -> CPB, togeter -> together, and add missing spaces after `@param:`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11339>

2026-04-14 22:03:21 +0900  Andrew Yooeun Chun <aychun00@gmail.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  h265parser: use sub-layer 0 CPB count in buffering_period SEI loops
	  The NAL and VCL initial CPB removal delay loops were bounded by
	  cpb_cnt_minus1[i]. Read the CPB count from sub-layer 0 instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11339>

2026-04-12 16:21:55 -0400  Monty C <montyc1999@gmail.com>

	* sys/nvcodec/plugin.c:
	  nvcodec: Fix missing adapter-luid when loading decoders from cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11329>

2026-04-09 21:32:28 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/resindvd/gstpesfilter.c:
	* gst/mpegdemux/gstpesfilter.c:
	  mpegdemux: Fix ES_rate parsing
	  It's not used anywhere so this doesn't really matter.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11324>

2026-04-09 21:18:36 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/pesparse.c:
	  tsdemux: Only read 3 bytes for the ES_rate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11324>

2026-04-09 21:08:55 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/pesparse.c:
	  tsdemux: Fix parsing of PES ESCR and following PES header fields
	  The ESCR is 6 bytes and in the same format as the PCR, not 5 bytes and in the
	  same format as DTS/PTS. By skipping only 5 bytes, parsing of all following PES
	  header fields looked at the wrong bytes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11324>

2026-04-10 15:50:46 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  mpegtspacketizer: Avoid potential overflow
	  Avoid potential address overflow by using subtraction instead of additions.
	  If data is close to the memory range limit (especially on 32bit systems), adding
	  to it could make it wrap over.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11307>

2026-04-09 09:31:47 +0300  Sebastian Dröge <sebastian@centricular.com>

	* ext/soundtouch/gstbpmdetect.cc:
	  bpmdetect: Fix calculation of number of samples for >1 channels
	  Reported by and patch provided by Olivier Laflamme.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11297>

2021-07-15 11:47:44 +0200  Andreas Frisch <andreas.frisch@ltnglobal.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Fix segfault when trying to handle SCTE-35 with incorrect program specified
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11294>

2026-04-07 20:07:19 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.2

=== release 1.28.2 ===

2026-04-07 20:02:23 +0100  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.2

2026-04-07 16:36:27 +0900  Seungmin Lee <seungmin.lee.cpp@navercorp.com>

	* gst/vmnc/vmncdec.c:
	  vmncdec: Set cursormask to NULL to prevent double free
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11264>

2026-03-26 19:26:54 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	* gst/videoparsers/gstav1parse.c:
	  av1parse: Correctly reject LEB128 values where the 8th byte has the high bit set
	  This is invalid according to the specification.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11259>

2026-03-26 19:18:33 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	* gst/videoparsers/gstav1parse.c:
	  av1parse: Allow G_MAXUINT32 as LEB128 encoded value
	  The spec states that any value less than or equal to (1<<32) - 1 should be
	  accepted but we were rejecting (1<<32) - 1.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11259>

2026-03-26 18:52:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Be more explicit about available data when parsing LEB128 values
	  The caller already checks that at least 8 bytes are available, which is the
	  maximum this function is going to parse anyway, but better to not hardcode this
	  assumption and instead actually check for it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11259>

2026-03-26 18:45:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gstav1parser.c:
	* gst/videoparsers/gstav1parse.c:
	  av1parse: Avoid signed 32 bit integer overflow when parsing LEB128 values
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/4994
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11259>

2026-03-12 11:14:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Avoid integer overflow when parsing profile / tier / level
	  And as a result also avoid a stack overflow.
	  Thanks to Nicholas Soh for finding and analyzing the issue, and suggesting this fix.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4958
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11257>

2026-03-26 18:37:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parse: Avoid NULL pointer dereferences when freeing partially parsed SPS/MVC data
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/4992
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11251>

2026-03-26 18:31:05 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parse: Remove pointless allocation failure handling
	  g_new0() already aborts the process on allocation failure.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11251>

2026-03-30 16:29:27 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/jp2kdecimator/jp2kcodestream.c:
	  jp2kdecimator: Avoid integer overflows and divisions by zero on invalid tile configurations
	  Thanks to Sebastian Alba Vives for reporting the issue and suggesting the fix.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/work_items/5008
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11239>

2026-03-30 16:29:01 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/jp2kdecimator/jp2kcodestream.c:
	  jp2kdecimator: Fix some possible integer overflows in size checks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11239>

2026-03-18 18:58:54 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/vulkan/cocoa/gstvkwindow_cocoa.m:
	  macos: Set activation policy in vulkansink (MoltenVK)
	  Upon creating a window, vulkansink now sets the policy to
	  NSApplicationActivationPolicyRegular, which lets us show an icon in
	  the Dock for convenience and appear in the top menu bar like other
	  apps.
	  This matches the behaviour of glimagesink and osxvideosink from commit
	  5e45a1b1bd0ec4355346c60ef40c14fa91aa9b6c
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11138>

2026-03-18 11:41:18 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Invert order of output caps to match our preference
	  We want Vulkan > GL > sysmem
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11138>

2026-02-13 03:33:34 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix incorrect setting of bitfield / flag
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11138>

2026-02-13 03:30:24 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Don't leak RGBA64_LE caps during class init
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11138>

2025-10-29 11:08:00 +0000  Thibault Saunier <tsaunier@igalia.com>

	* gst-libs/gst/cuda/cuda-gst.h:
	* gst-libs/gst/cuda/gstcudacontext.cpp:
	* gst-libs/gst/cuda/gstcudacontext.h:
	* gst-libs/gst/cuda/gstcudaloader.cpp:
	* gst-libs/gst/cuda/stub/cuda.h:
	* gst-libs/gst/hip/stub/cuda.h:
	* sys/nvcodec/gstnvav1encoder.cpp:
	* sys/nvcodec/gstnvav1encoder.h:
	* sys/nvcodec/gstnvdecoder.cpp:
	* sys/nvcodec/gstnvdecoder.h:
	* sys/nvcodec/gstnvencoder.h:
	* sys/nvcodec/gstnvh264encoder.cpp:
	* sys/nvcodec/gstnvh264encoder.h:
	* sys/nvcodec/gstnvh265encoder.cpp:
	* sys/nvcodec/gstnvh265encoder.h:
	* sys/nvcodec/gstnvjpegenc.cpp:
	* sys/nvcodec/gstnvjpegenc.h:
	* sys/nvcodec/plugin.c:
	  nvcodec: Add capability caching to speed up plugin initialization
	  Probing encoder/decoder capabilities requires opening NVENC/NVDEC
	  sessions which adds significant overhead to plugin loading. This
	  change caches the discovered capabilities in GstPlugin cache data
	  and reloads them on subsequent runs.
	  The cache is keyed by device UUID and validated against the CUDA
	  driver API version, ensuring it's invalidated when
	  the hardware configuration changes or the driver is updated.
	  Plugin initialization time: 1.64s -> 0.14s (~11x faster)
	  The remaining time is basically spent in CuInit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10767>

2026-03-28 15:22:35 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	* ext/wayland/gstwaylandsink.c:
	  waylandsink: Properly reset the tag orientation
	  Reset the tag orientation to identity if a new tag list is received without
	  the orientation in it, or if a new stream starts, as it may not contain a
	  tag list.
	  Fixes #3661
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11216>

2026-03-24 18:46:33 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Also reset session when output_callback gets a kVTVideoDecoderMalfunctionErr
	  We still reset the session only in handle_frame, because the reset
	  will block. We merely set a flag in output_callback().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11233>

2025-01-14 19:43:16 +0100  Vadym Markov <markov.vadym@gmail.com>

	* sys/applemedia/vtenc.c:
	  vtenc: restart even if VTCompressionSessionCompleteFrames fails
	  Co-Authored-By: Nirbheek Chauhan <nirbheek@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11233>

2025-08-21 18:39:22 +0200  Havard Graff <havard@pexip.com>

	* sys/applemedia/vtenc.c:
	  applemedia/vtenc: make sure to NULL terminate the level string
	  Without this, passing in level="4", will cause undetermined behavior.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11233>

2024-05-23 18:36:29 +0200  Tulio Beloqui <tulio@pexip.com>

	* sys/applemedia/vtdec.c:
	  applemedia/vtdec: handle decoder error status for iOS
	  If VTDecompressionSessionDecodeFrame returns kVTInvalidSessionErr or
	  kVTVideoDecoderMalfunctionErr we need to reset the decoder session and
	  request an intra frame.
	  This change allows the decoder to continue decoding after the
	  application switches between foreground and background modes.
	  Co-Authored-by: Nirbheek Chauhan <nirbheek@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11233>

2026-04-01 09:25:57 +0200  Emil Ljungdahl <emillj@axis.com>

	* ext/sctp/sctpassociation.c:
	  sctp: Set number of outgoing & incoming streams to the same value
	  usrsctp has its own default number of streams. For outgoing streams the
	  default is 10, while for incoming streams the default is 2048. In
	  sctpassociation.c the default number of outgoing streams is changed to
	  1024.
	  This means that when initializing an SCTP session, the INIT message will
	  announce 1024 as number of outbound streams, and 2048 as number of
	  inbound streams. That is not incorrect itself, but it becomes weird when
	  it comes to WebRTC where a datachannel requires one stream in each
	  direction.
	  If a WebRTC peer tries to open a datachannel with ID 1024, it won't be
	  rejected with a proper error message, but you rather get a fatal error
	  originating from a sanity check in sctp_output.c:13873.
	  If there is a risk there are other of sctp than WebRTC we might consider
	  changing the DEFAULT_NUMBER_OF_SCTP_STREAMS define to 2048 instead to
	  avoid changed default behavior. On the other hand, that will affect
	  resource utilization for a session...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11209>

2026-03-31 14:33:26 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2rbuf.cpp:
	  wasapi2: Log target device information
	  Log device ID and requested mode information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11202>

2026-03-30 16:40:02 +0300  Sebastian Dröge <sebastian@centricular.com>

	* gst/sdp/gstsdpdemux.c:
	  gst: Fix a couple of const correctness bugs around strchr() usage
	  `assignment discards ‘const’ qualifier from pointer target type`
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11186>

2026-03-11 16:25:47 +0900  Hou Qi <qi.hou@nxp.com>

	* gst-libs/gst/wayland/gstwldisplay.c:
	  wayland: display: Add protection when replacing wl_output
	  Some legacy platforms are still using older weston version, where wl_output
	  version number is 3. This results in wl_output name being empty, leading
	  to a segment fault when replacing wl_output according to name.
	  In order to avoid above issue, need to add protection when replacing wl_output.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11086>

2026-03-24 02:28:58 +0200  Pavel Guzenfeld <pavelguzenfeld@gmail.com>

	* sys/shm/gstshmsink.c:
	* tests/check/elements/shm.c:
	  shm: fix shmsink exit code 1 on clean shutdown
	  gst_shm_sink_stop() calls gst_poll_set_flushing() which makes
	  gst_poll_wait() return -1 with errno=EBUSY. The poll thread
	  treated this as a fatal error instead of a clean shutdown.
	  Check self->stop before posting GST_ELEMENT_ERROR.
	  Fixes #4487
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11163>

2026-03-26 16:45:05 +0100  Piotr Brzeziński <piotr@centricular.com>

	* gst-libs/gst/vulkan/gstvkswapper.c:
	  vkswapper/vksink: Don't advertise unsupported formats
	  vulkansink's template caps are limited to
	  GST_VULKAN_SWAPPER_VIDEO_FORMATS, but get_supported_caps() did not
	  respect that and would advertise more formats if the HW supported them.
	  vulkanswapper doesn't know how to handle those incorrect formats,
	  resulting in a wrong image being displayed, or even crashes (on macOS
	  with MoltenVK).
	  This change just makes sure to filter out formats not correctly handled
	  by our code before we return the caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11160>

2026-01-28 10:27:43 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtutil.c:
	* sys/applemedia/vtutil.h:
	  vtdec: Supplemental VideoToolbox decoders now registered via vtutil helper
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11146>

2026-03-25 17:35:28 +0900  Haihua Hu <jared.hu@nxp.com>

	* gst-libs/gst/wayland/gstwlwindow.c:
	  wlwindow: fix viewport source outside buffer when play resolution change stream
	  when playing resolution change stream, there is chance that video crop meta
	  is not updated, only video info changed. eg. when use libav decoder.
	  Need always update crop w/h based on priv->video_width/video_height.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11142>

2026-03-25 15:18:43 +0900  Haihua Hu <jared.hu@nxp.com>

	* ext/wayland/gstwaylandsink.c:
	  waylandsink: fix waylandsink crash when call window flush
	  Need check if window is created when call gst_wl_window_flush
	  otherwise it will crash when receive event but window is not created
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11137>

2026-03-24 16:49:53 +0100  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: add reversed temporal offset bound check
	  In `find_entry_for_offset()`, `position` is checked against the segment bounds,
	  which should match `reverse_temporal_offsets` size considering how it is built
	  in `collect_index_table_segments`. However, it doesn't check the actual size of
	  `collect_index_table_segments` which seems a bit fragile. Besides, all other
	  parts of the code explicitely check the `reverse_temporal_offsets` size before
	  accessing it.
	  This commit:
	  * ensures `position` is valid before accessing `reverse_temporal_offsets`,
	  similarly to what was intended to be done for `find_edit_entry()`.
	  * actually acts upon the check result for both.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11127>

2026-03-24 16:23:25 +0100  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: reject corrupted index entry
	  A corrupted index could lead to computing an incorrect edit entry size which
	  would exceed MAX `guint32` and would lead to pulling less bytes than was
	  computed due to the size being casted to `guint32` in the next pull range call.
	  Looking for the next entry would most likely fail due to the excessive previous
	  computed size:
	  > Couldn't find matching partition for stream offset 4294968000
	  This commit detects this situation, logs the problem so as to ease root cause
	  identification and prevents the caller from pulling the entry with incorrect
	  size.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4974
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11127>

2026-03-24 14:20:39 +0900  Seungha Yang <seungha@centricular.com>

	* sys/wasapi2/gstwasapi2rbuf.cpp:
	  wasapi2sink: Ignore device errors from default device
	  Temporary device-invalidated errors from an automatic
	  stream-routing-aware default device are expected. Ignore
	  them, as we do in the read path
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4971
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11120>

2026-03-23 22:53:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/vulkan/vkvp9dec.c:
	  vulkanvp9dec: Fix case in device-specific factory name
	  Previously this would become `vulkanVp9device1dec` and now it becomes
	  `vulkanvp9device1dec` which is consistent with the format used by all other
	  decoders.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11117>

2026-03-20 10:11:23 +0100  Johan Sternerup <johast@axis.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  nice: Fix leak of nice thread
	  Leak of nice thread also means leaking the nice object, its members, the
	  associated main context along with its file descriptor etc.
	  This is a scenario that could cause a leak:
	  1. Application sets webrtcbin state to NULL.
	  2. webrtcbin calls ice_close() when transitioning to NULL state.
	  3. nice triggers a close function (close_main_cb) to execute within the
	  nice thread.
	  4. close_main_cb starts executing within the nice thread, obtains a
	  strong ref on the nice object, invokes nice_agent_close_async() and
	  waits until its associated callback fires.
	  5. Application unrefs webrtcbin triggering its dispose() method which in
	  turn unrefs the nice object.
	  6. Within the nice thread nice_agent_close_async() finishes and
	  close_main_cb unrefs the nice object and now this is the last reference,
	  which means that disposing/finalization is invoked.
	  7. The finalization of nice now runs within the nice thread itself,
	  which means that that it gets stuck when trying to stop the thread, i.e.
	  it's waiting for itself to finish.
	  The main problem here is that webrtcbin, which is the entity having
	  ownership of the ice object along with its thread, does not fully take
	  the responsibility of managing the lifecycle of the ice object. If
	  webrtcbin is responsible for starting the thread (indirectly by creating
	  the ice object) it also needs to wait for that thread to finish. The
	  explicit call to ice_close() when going to the NULL state seems like the
	  right place to free resources and stop threads. We just need to make
	  sure that when ice_close() has completed, the ice object should no
	  longer be in an active state, so that we then can safely proceed with
	  unrefing the ice object.
	  We previously had the complete procedure for tearing down the ice object
	  and wait for its completion in-place within the nice-finalize method,
	  which however turns out to be too late. So instead of having two ways of
	  closing the ice object, one incomplete and one at the wrong location,
	  this commit now merge those solutions into one solution that is complete
	  and invoked at the right location.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11112>

2026-03-20 20:30:35 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Do not hold the stream lock when pushing out frames
	  This can (and does) cause a deadlock, you should not hold the stream
	  lock when pushing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11099>

2026-03-20 13:59:19 +0000  Thibault Saunier <tsaunier@igalia.com>

	* gst/videoparsers/gstav1parse.c:
	* gst/videoparsers/gstvp9parse.c:
	  vp9parse, av1parse: Remove segment clipping to let downstream handle frame boundaries
	  Remove the GST_BASE_PARSE_FRAME_FLAG_CLIP flag that was causing frames outside
	  segment boundaries to be dropped. This was problematic when seeking to positions
	  where keyframes don't align with segment boundaries, as essential keyframes
	  needed for decoding would get dropped.
	  Let downstream elements (decoders, sinks) decide what to do with frames that
	  may fall outside segment boundaries. This is more flexible and consistent
	  with h264parse which also doesn't set this flag.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11087>

2026-03-17 11:21:40 +0100  Albert Sjölund <alberts@axis.com>

	* ext/dtls/gstdtlsdec.c:
	* ext/dtls/gstdtlsdec.h:
	* ext/dtls/gstdtlsenc.c:
	* ext/dtls/gstdtlsenc.h:
	  dtls: unregister signal handlers from connection
	  There is a risk of receiving invalid_closure_notify due to the different
	  lifetimes between connection and self (Dtls), as the unref is part of
	  gstreamer state management and not finalization/dispose. When the
	  connection is cleared make sure to also disconnect the signal handlers.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11079>

2026-03-18 23:43:20 +0100  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/kk.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11077>

2026-03-18 13:39:29 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  tsmux: Fix integer overflow in SCTE35 NULL interval
	  The default value corresponds to 300 seconds in ticks of the 90kHz clock. A
	  simple pipeline with `mpegtsmux scte-35-pid=49`, analysed with e.g. Wireshark,
	  showed the SCTE35 NULL packets every 140 seconds instead of 300. Turns out, the
	  default value fits in a guint, but not when multiplied by 300.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11076>

2026-03-17 12:52:18 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/codecparsers/gsth264parser.c:
	  h264parser: Fix memory leak in gst_h264_parser_parse_nal()
	  Thanks to Nicholas Soh for finding the issue and suggesting the correct fix.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4966
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11060>

2026-03-17 10:38:37 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/vulkan/gstvkimagememory.c:
	  vulkan: Clear mutex when GstVulkanImageMemory is freed
	  Fixes leaks on every frame.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11059>

2026-03-08 10:27:05 -0400  Daniel Morin <daniel.morin@collabora.com>

	* ext/tflite/gsttfliteinference.c:
	  tflite: set PAR to 1:1 by default
	  - Set PAR to 1:1 by default
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11048>

2026-03-07 10:21:37 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: set default pixel-aspect-ratio
	  - All models we currently support expect a par of 1:1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11048>

2026-03-13 13:14:23 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Store supplemental codec support in a global variable
	  The detection only worked for the first instance, because the lifetime
	  of `av1_once` and `vp9_once` exceeded the lifetime of the `vtdec`
	  instance.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4964
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11045>

2026-01-29 16:08:33 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth265parse.c:
	  h265parse: Update buffer duration only when it's invalid
	  Framerate parsed from VUI or upstream caps may be inaccurate or
	  variable. Preserve the upstream buffer duration if it is already valid.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11016>

2026-01-29 16:05:20 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth264parse.c:
	  h264parse: Do not update valid DTS and duration
	  Update timestamp only if DTS or duration is invalid
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11016>

2026-02-26 18:21:15 +0900  Seungha Yang <seungha@centricular.com>

	* gst/gdp/gstgdppay.c:
	  gdppay: Fix null pointer dereference on duplicated caps event
	  Also, instead of dropping duplicated caps events, record all events as-is.
	  Given that gdppay is meant to record pipeline data and event flow for
	  reproduction, preserving duplicated events helps to reproduce the original
	  pipeline behavior correctly
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11021>

2026-03-11 08:40:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/soundtouch/gstpitch.cc:
	  soundtouch: Only allow up to 192kHz and 16 channels
	  Any higher numbers are not supported.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11011>

2026-03-11 20:01:39 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklinkvideosink: fix element leak in decklink callback
	  SetScheduledFrameCompletionCallback takes a reference on the passed-in
	  callback, we thus need to initialize its refcount to 0 for it to
	  get destroyed when we finally call
	  SetScheduledFrameCompletionCallback(NULL);
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11009>

2026-03-11 14:49:08 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Fix a latent wrong setting of cll in update_src_caps
	  In gst_av1_parse_update_src_caps(), "content-light-level" should be
	  updated when having the cll_str, not the mdi_str.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11003>

2026-03-11 14:40:19 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Fix the consumed typo in _read_leb128
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/11003>

2026-02-21 17:03:48 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/aom/gstav1dec.c:
	  av1dec: Enable VIDEO_META and VIDEO_ALIGNMENT for pool
	  The decoders relies on the GstVideoDecoder base class for buffer pool
	  negotiation, however the later doesn't handle the VIDEO_META and thus
	  doesn't enable the respective pool options as it can't know whether
	  derived classes actually support those.
	  GstAV1Dec does so just fine and enabling the options is required for
	  certain pools like GstVideoDmabufPool. Thus iterate over the pools from
	  the allocation query and enable the options, deferring all further
	  handling to the base class.
	  This approach could potentially serve as a template for varios other sw
	  video decoders as it keeps most complexity in the base class.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10993>

2026-03-04 13:33:11 +0100  Ognyan Tonchev <ognyan@axis.com>

	* ext/srtp/gstsrtpenc.c:
	  srtpenc: preserve ROC when master key is updated for an ongoing session
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10977>

2026-01-29 12:34:46 +0100  Fabian Orccon <forccon@fluendo.com>

	* ext/avtp/gstavtpcrfbase.c:
	* tests/examples/key-handler.c:
	  all: GThreadFunc return type fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10955>

2026-02-25 16:02:05 +0100  Piotr Brzeziński <piotr@centricular.com>

	* ext/vulkan/meson.build:
	* gst-libs/gst/vulkan/meson.build:
	* sys/applemedia/meson.build:
	  vulkan: Fix libMoltenVK.dylib not found when installed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10918>

2026-02-11 16:35:29 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* ext/dash/gstdashsink.c:
	  dashsink: guard splitmuxsink removal in release_pad during dispose
	  During element dispose, GstBin::dispose removes all children before
	  GstElement::dispose releases request pads. This causes release_pad
	  to attempt removing splitmuxsink after it has already been removed,
	  triggering a "not in bin" warning.
	  Check GST_OBJECT_PARENT before calling gst_bin_remove.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10914>

2026-01-16 13:01:16 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* tests/check/elements/dashsink.c:
	  dashsink: test: use playbin3 for DASH playback verification
	  playbin uses decodebin2 which does not set GST_BIN_FLAG_STREAMS_AWARE.
	  dashdemux2 checks for this flag on its parent bin during NULL_TO_READY
	  (gstadaptivedemux.c:744) and errors out when it is missing, causing
	  memory leaks detected by valgrind as "Early exit with return value 20"
	  in a certain timing.
	  With playbin3, the error never happens at all because decodebin3 is streams-aware
	  Switch to playbin3 which uses streams-aware decodebin3, and update
	  expected timestamps since playbin3 normalizes the first PTS to 0.
	  Fixes #4888
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10914>

2026-02-11 13:04:09 +0000  Cole Richardson <crichardson@edgeaisolutions.com>

	* ext/svtav1/gstsvtav1enc.c:
	  svtav1: fix "Level of parallelism" property type discrepencies
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10913>

2026-02-22 15:21:09 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Split the stream format and alignment logic
	  In current code, the alignment and stream format logic are mixed in one
	  enum, which makes the code logic not very clear. We have a assumption
	  before that the annex-b stream format only appears when the input is TU
	  aligned. But in fact, other kind of input alignments can also have annex-b
	  stream format. So we now split the stream format and alignment logic.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4919
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10912>

2026-02-22 14:43:22 +0800  He Junyan <junyan.he@intel.com>

	* gst/videoparsers/gstav1parse.c:
	  av1parse: Add the GstAV1ParseStreamFormat enum and helper functions
	  Because we split the stream format logic from alignment, so all the helper
	  functions related to alignment also should be improved.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10912>

2026-02-26 01:53:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.1

=== release 1.28.1 ===

2026-02-26 01:44:06 +0000  Tim-Philipp Müller <tim@centricular.com>

	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.1

2026-02-23 13:21:25 +0100  Carlos Bentzen <cadubentzen@igalia.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	  h265parser: Validate num_decoding_units_minus1 in pic_timing SEI
	  Fixes GST-SA-2026-0012.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10904>

2026-02-20 13:34:50 +0100  Carlos Bentzen <cadubentzen@igalia.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	* gst-libs/gst/codecparsers/gsth266parser.h:
	  h266parser: Fix out of bounds write when parsing pic_timing SEI
	  Validate num_decoding_units_minus1 against the array bounds in
	  GstH266PicTiming using READ_UE_MAX.
	  Fixes ZDI-CAN-28839, CVE-2026-3081, GST-SA-2026-0010.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4898
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10901>

2026-02-20 17:40:24 +0100  Carlos Bentzen <cadubentzen@igalia.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Fix APS ID bounds check in APS parsing
	  Use GST_H266_MAX_APS_COUNT - 1 as the upper bound to match the spec
	  constraint and array size.
	  Fixes ZDI-CAN-28911, CVE-2026-3086, GST-SA-2026-0009.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4904
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10899>

2026-02-20 17:10:04 +0100  Carlos Bentzen <cadubentzen@igalia.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  h266parser: Validate tile index bounds in picture partition parsing
	  Ensure computed tile_idx stays within valid range before using it
	  as an array index to prevent out-of-bounds reads.
	  Fixes ZDI-CAN-28910, CVE-2026-3084, SA-2026-0011.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4902
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10898>

2026-02-11 22:07:49 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gstjpegparser.c:
	  libs: jpegparser: boundary checks before copying it
	  READ_BYTES macro reads data from a byte reader and then copy it to a storage
	  variable. This patch adds a validation that the length to read cannot be bigger
	  than the storage size.
	  This macro right now is used only for storage variables of guint8 arrays.
	  We have validated in the specification (sections F.1.2.1.2 and F.1.2.2.1 in ITU
	  T.81) that Huffman tables (both AC and DC) aren't bigger than 256.
	  Fixes SA-2026-0003, CVE-2026-3082, ZDI-CAN-28840.
	  Fixes: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4899>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10896>

2026-02-12 09:50:23 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvbsuboverlay/dvb-sub.c:
	  dvbsuboverlay: Avoid integer overflows and unreasonably large displays/regions
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10894>

2026-02-11 20:45:12 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvbsuboverlay/dvb-sub.c:
	  dvbsuboverlay: Add missing bounds checks to the parser everywhere
	  Fixes SA-2026-0007, ZDI-CAN-28838, CVE-2026-2923.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4897
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10894>

2026-02-25 17:22:52 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/dvbsuboverlay/dvb-sub.c:
	* gst/dvbsuboverlay/dvb-sub.h:
	  dvbsuboverlay: Mark parsed byte array as const
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10894>

2026-02-22 02:50:20 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/meson.build:
	  applemedia: Small simplifications to the vulkan checks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-22 02:49:34 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfvideosrc.h:
	  avfvideosrc: Small fixes to the plugin header
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-22 02:45:15 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* sys/applemedia/meson.build:
	* sys/applemedia/plugin.m:
	  applemedia: Get rid of AVFoundation-related defines
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-22 00:41:33 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* sys/applemedia/meson.build:
	* sys/applemedia/plugin.m:
	  applemedia: Remove outdated HAVE_VIDEOTOOLBOX define
	  All platform versions we support have VideoToolbox now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-22 00:38:33 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* sys/applemedia/vtenc.c:
	  applemedia: Fix broken HAVE_VIDEOTOOLBOX_10_9_6 define
	  We now use VTCompressionSessionPrepareToEncodeFrames() correctly.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-22 00:55:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/meson.build:
	  applemedia: Sort sources list, fix indentation
	  No functional changes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10874>

2026-02-20 13:23:06 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	  vtdec: Calculate DTS offset correctly
	  Previous method was too simple and didn't offset DTS enough.
	  videotestsrc ! vtenc_h264 ! qtmux ! fakesink with GST_DEBUG=2 showed
	  qtmux complaining about DTS > PTS right away, on latest macOS at least.
	  If we only ever get one frame from upstream, it'll get pushed out when
	  drain() is called. Otherwise, it goes out as soon as the second frame
	  arrives and we can calculate the offset. Of course in some cases we know
	  right away that DTS offset won't be needed and then this is all
	  bypassed.
	  If incoming frames don't have PTS set, we don't set a DTS offset at all.
	  This is because VideoToolbox, according to its docs, simply requires PTS
	  to be provided alongside the frame being submitted to the encoder. From
	  my testing, when PTS is invalid, VT will just not set DTS at all on the
	  output buffers, so we don't need the offset.
	  1st PTS minus 2nd PTS should always give us enough offset while being
	  more precise than e.g. using the DBP size instead. Similar logic is
	  already used in other encoders such as vah26*enc or svthevcenc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10873>

2026-02-20 16:05:14 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix wrong DPB size check in the output loop
	  The condition was always slightly wrong, but rather harmless. However
	  after my 'fix' in 30b213a86fd5ed8f654572bd35dff31af5a36334 it became
	  possible that with dpb_size=0 we end up busy looping because obviously
	  the queue length could not be <0, so the loop would never sleep...
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10863>

2026-02-19 16:47:12 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	  vtenc: Make sure draining actually drains all frames, port fixes from vtdec, unify naming
	  This commit mostly ports existing fixes from vtdec to vtenc. Also makes
	  them use the same naming to follow/compare the logic easier.
	  vtenc was missing the is_draining flag that we already have in vtdec.
	  It's mostly useful to make sure the output loop outputs all the frames
	  from the queue before it pauses when draining. Without it, it's possible
	  for some frames to end up being flushed instead of drained.
	  Additionally, if we're draining or flushing, the output callback will
	  now always push to the output queue no matter if it goes over the size
	  limit. This is already present in vtdec and reduces the risk of the VT
	  thread getting stuck when the output loop stops and won't actively
	  consume buffers.
	  I also renamed a few functions to make them match vtdec and make more
	  sense.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10860>

2026-02-19 16:30:07 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Make sure VT thread won't get stuck after a downstream error
	  Without this, if output loop stops because of an error we might end up
	  stuck because the VT thread can't push out the remaning frames.
	  This is already present in vtenc and is also needed here in vtdec.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10860>

2026-02-19 16:27:45 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix return value in flush()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10860>

2026-02-20 14:19:42 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: set dims_order on GstTensor
	  - set dims_order on GstTensor
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10862>

2026-02-20 14:18:03 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.c:
	  tensordecoders: fix wrong dims_order check
	  - Use correct DIM_ORDER on GstTensor check for YOLO tensor decoders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10862>

2026-02-13 13:07:15 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvavp8enc.c:
	  vavp8enc: set color format chroma
	  With the refactor of the encoder helper open methods, a hidden bug in vp8
	  encoder appeared, because the rt_format was never assigned, relying on a default
	  value that were removed.
	  This patch sets the format's chroma before opening the encoder helper object.
	  Fixes: #4906
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10806>

2026-02-12 19:24:41 -0500  Monty C <montyc1999@gmail.com>

	* sys/decklink/meson.build:
	  meson: Explicitly use cpp_std=c++11 for decklink
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10804>

2026-02-17 17:01:48 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/libs/codecparsers/sitemap.txt:
	  doc: codecparsers: Switch to gi-index
	  The since marker comment are not working when using the c-index.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 15:09:09 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecparsers/gstav1bitwriter.c:
	* gst-libs/gst/codecparsers/gstav1parser.c:
	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	* gst-libs/gst/codecparsers/gsth264parser.c:
	* gst-libs/gst/codecparsers/gsth264parser.h:
	* gst-libs/gst/codecparsers/gsth265bitwriter.c:
	* gst-libs/gst/codecparsers/gsth265parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.h:
	* gst-libs/gst/codecparsers/gsth266parser.c:
	* gst-libs/gst/codecparsers/gsth266parser.h:
	* gst-libs/gst/codecparsers/gstjpeg2000sampling.h:
	* gst-libs/gst/codecparsers/gstjpegbitwriter.c:
	* gst-libs/gst/codecparsers/gstjpegparser.c:
	* gst-libs/gst/codecparsers/gstmpegvideometa.c:
	* gst-libs/gst/codecparsers/gstmpegvideoparser.c:
	* gst-libs/gst/codecparsers/gstvc1parser.c:
	* gst-libs/gst/codecparsers/gstvc1parser.h:
	* gst-libs/gst/codecparsers/gstvp9bitwriter.c:
	* gst-libs/gst/codecparsers/gstvp9parser.c:
	* gst-libs/gst/codecparsers/gstvp9parser.h:
	  codecparsers: Fix annotation warnings reported at GIR constructions
	  This fixes all the minor warning emited buy the GIR generator.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 15:06:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecparsers/gsth265parser.h:
	* gst-libs/gst/codecparsers/gstvc1parser.c:
	* gst-libs/gst/codecparsers/gstvc1parser.h:
	* tests/check/libs/h265parser.c:
	  codecparsers: h265/vc1: Add missing namespace to some defines
	  This is effectively an API break, but I think its fair break considering the
	  risk of clash.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 15:04:37 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecs/meson.build:
	  build: codecs: Add gir dependency to the new GstCodecParsers gir
	  This fixes warning when structures from the parsers are exposed through the
	  codecs library API.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 15:01:07 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	* gst-libs/gst/codecs/gsth265decoder.h:
	* sys/v4l2codecs/gstv4l2codech265dec.c:
	  codec: h265decoder: Fix annotation and constify return value
	  gst_h265_decoder_get_sps_ext() return a bare pointer inside an array own by the
	  base class. Fix the annotation and constify the return value. Fix its single
	  usage in v4l2 codecs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 13:32:14 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/meson.build:
	* gst-libs/gst/codecparsers/meson.build:
	  build: codecparsers: Create a GIR file needed for since marking
	  Without a GIR file, despite the absence of GObject in this library, the
	  documentation script cannot resolved the since marker. Forcing hacks to ignore
	  newly introduce symbols. This also prevented a lot of annotation error
	  from being reported.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 13:29:41 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecparsers/meson.build:
	  build: codecparsers: Install some newly introduce API headers
	  This notably install the bitwriter headers included in the API but with their
	  headers not being installed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 13:28:23 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecs/meson.build:
	  build: codecs: Small style improvement
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-17 13:26:59 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecs/meson.build:
	  build: codecs: Add AV1 decoder to the GIR includes
	  Add missing AV1 decoder header to the GIR include flags. Since there
	  is no central header for this library, we need to pass every codec
	  headers to the GIR so all the symbols are resolved.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-18 19:49:25 -0500  Detlev Casanova <detlev.casanova@collabora.com>

	* sys/v4l2codecs/gstv4l2codech265dec.c:
	  v4l2codecs: Set long and short term RPS controls
	  Some hardware need that information to decode HEVC frames (e.g.:
	  Rockchip rk3588 SoC).
	  Those controls were added in linux 6.20
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-01-26 11:56:44 -0500  Detlev Casanova <detlev.casanova@collabora.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	* gst-libs/gst/codecs/gsth265decoder.h:
	  codecs: h265dec: Parse extended SPS information
	  This extra information allow notably parsing of the
	  slices headers inside the accelerator.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-01-26 11:53:02 -0500  Detlev Casanova <detlev.casanova@collabora.com>

	* gst-libs/gst/codecparsers/gsth265parser.c:
	* gst-libs/gst/codecparsers/gsth265parser.h:
	  h265parser: Store raw short/long term RPS sets
	  In order to support the new V4L2 HEVC stateless controls the raw values
	  from the long and short term RPS sets need to be kept.
	  The raw values are used in those controls so that they are kept
	  compatible with the Vulkan API.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2025-06-27 11:24:04 -0400  Detlev Casanova <detlev.casanova@collabora.com>

	* sys/v4l2codecs/linux/v4l2-controls.h:
	* sys/v4l2codecs/linux/videodev2.h:
	  v4l2codecs: Add short and long term controls in linux headers
	  Add the new V4L2_CID_STATELESS_HEVC_EXT_SPS_ST_RPS and
	  V4L2_CID_STATELESS_HEVC_EXT_SPS_LT_RPS controls in the linux kernel header.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10851>

2026-02-12 16:04:04 +0100  Hyunjun Ko <zzoon@igalia.com>

	* ext/vulkan/vkav1dec.c:
	  vkav1dec: fix to set SavedOrderHints properly
	  This fixes to play AV1 correctly on hardwares that require
	  SavedOrderHints, eg. ANV.
	  Otherwise the params is going to be reset to 0 during initialization.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10846>

2026-02-19 17:22:59 +0900  Seungha Yang <seungha@centricular.com>

	* gst/closedcaption/gstccconverter.c:
	  ccconverter: Reset counters on flush-stop
	  ... instead of flush-start. flush-start event can happen
	  at arbitrary points while the element is processing data
	  in streaming thread, which may cause races. Reset counters
	  on flush-stop to ensure that the reset happens after
	  the streaming thread no longer processing data
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10845>

2026-02-19 15:43:13 +0900  Seungha Yang <seungha@centricular.com>

	* gst/closedcaption/gsth264ccextractor.c:
	* gst/closedcaption/gsth265ccextractor.c:
	  h264,h265ccextractor: Fix framerate in initial caps
	  Update framerate in set_format() as well so that
	  the input framerate is copied to the initial output caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10841>

2026-02-09 12:33:41 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/avfassetsrc.h:
	* sys/applemedia/avfassetsrc.m:
	* sys/applemedia/avfdeviceprovider.h:
	* sys/applemedia/avfdeviceprovider.m:
	* sys/applemedia/avfvideosrc.h:
	* sys/applemedia/avfvideosrc.m:
	* sys/applemedia/avsamplevideosink.h:
	* sys/applemedia/avsamplevideosink.m:
	* sys/applemedia/helpers.h:
	* sys/applemedia/helpers.m:
	* sys/applemedia/iosassetsrc.h:
	* sys/applemedia/iosassetsrc.m:
	* sys/applemedia/meson.build:
	* sys/applemedia/plugin.m:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	* sys/applemedia/vtenc.c:
	* sys/applemedia/vtenc.h:
	  applemedia: elements can now be individually registered with gst-full
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10828>

2026-02-17 17:41:41 +0900  Seungha Yang <seungha@centricular.com>

	* sys/asio/gstasioringbuffer.cpp:
	  asiosink: Fill silence when paused
	  Due to the ASIO API design, it's not possible to pause a specific
	  ASIO device channel. Fill silence instead to avoid garbage noise
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4909
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10830>

2026-02-12 03:12:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix GstVideoCodecState leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-02-11 19:26:07 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/ladspa/gstladspa.c:
	* gst/frei0r/gstfrei0r.c:
	  frie0r, ladspa: Stop using G_MODULE_SUFFIX
	  And define GST_EXTRA_MODULE_SUFFIX inside the plugin sources, since it
	  is no longer set in config.h
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-02-11 19:25:09 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/lv2/gstlv2.c:
	* meson.build:
	* sys/shm/shmpipe.c:
	  macos: Stop using HAVE_OSX, use built-in macros instead
	  The host_system == 'darwin' check is incorrect for this anyway.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-02-02 21:37:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Check for AV1 and VP9 support once
	  And don't warn if they aren't supported. Prevents spammy warnings when
	  playing an fmp4 stream which reconfigures every segment.
	  Ensure that we check it dynamically during caps negotiation, so that
	  we do not enable this supplemental support if not necessary, since it
	  is process-wide and (likely) reserves resources.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 16:58:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* sys/applemedia/meson.build:
	* sys/applemedia/plugin.m:
	  applemedia: Disable avfvideosrc and avfdeviceprovider on tvOS/watchOS
	  AVCaptureDevice isn't available on watchOS, and it's only available on
	  tvOS 17.0+. It's not clear how to make an entire element dynamically
	  available via __builtin_available() so just disable it for now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 15:53:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Fix build with tvOS
	  https://developer.apple.com/documentation/videotoolbox/kvtcompressionpropertykey_constantbitrate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 14:41:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfvideosrc.m:
	  avfvideosrc: Add support for newer iOS 17+ APIs
	  The orientation property is deprecated, and has been replaced with
	  videoRotationAngle. Coincidentally, this is also the only way to do
	  rotation on tvOS.
	  Left TODOs for some of the features that are also available on newer
	  macOS now.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 14:04:41 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Software decoders are now more widely available
	  When software decoders are available, we now register a separate
	  vtdec_hw, similar to macOS.
	  http://developer.apple.com/documentation/videotoolbox/kvtvideodecoderspecification_enablehardwareacceleratedvideodecoder
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 14:00:07 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: VTRegisterSupplementalVideoDecoderIfAvailable is widely available
	  It's also available on tvOS and visionOS.
	  https://developer.apple.com/documentation/videotoolbox/vtregistersupplementalvideodecoderifavailable(_:)
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 14:04:05 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/meson.build:
	* sys/applemedia/plugin.m:
	* sys/applemedia/videotexturecache-gl.h:
	* sys/applemedia/videotexturecache-gl.m:
	* sys/applemedia/vtdec.c:
	  applemedia: Enable EAGL support on tvOS too
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 13:58:16 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/avfdeviceprovider.m:
	  avfdeviceprovider: AVCaptureDevice manufacturer is more widely available
	  https://developer.apple.com/documentation/avfoundation/avcapturedevice/manufacturer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 13:45:15 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* sys/applemedia/avfdeviceprovider.m:
	* sys/applemedia/avfvideosrc.m:
	* sys/applemedia/corevideobuffer.c:
	* sys/applemedia/plugin.m:
	* sys/applemedia/videotexturecache-gl.h:
	* sys/applemedia/videotexturecache-gl.m:
	* sys/applemedia/videotexturecache-vulkan.mm:
	* sys/applemedia/videotexturecache.m:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtenc.c:
	  applemedia: Stop using HAVE_IOS, use TARGET_OS_* macros instead
	  HAVE_IOS is being used incorrectly, because iOS vs macOS are not the
	  only two choices.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 11:45:20 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/sctp/usrsctp/meson.build:
	* gst-libs/gst/vulkan/meson.build:
	* meson.build:
	* sys/applemedia/meson.build:
	* sys/decklink/meson.build:
	* sys/shm/meson.build:
	* tests/examples/avsamplesink/meson.build:
	  meson: Deprecate `system = 'ios'` in cross files, use subsystem
	  Since we require Meson 1.4.0, we can now use subsystem names (added in
	  1.2.0).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-01-28 11:40:08 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/ladspa/gstladspa.c:
	  ladspa: Fix macOS detection
	  The macOS ifdefs were also incorrectly enabled for iOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10807>

2026-02-16 17:17:07 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Avoid busy looping when queue length is smaller than DPB size
	  The check for whether the output loop should sleep was wrong. If we had
	  something in the queue but not enough to push frames out (depending on
	  the DPB size), we'd busy loop until that changed. If the input data
	  happened to stop at that point, vtdec would busy loop until EOS arrives,
	  which doesn't always happen instantly. This just makes sure we're
	  checking for the same thing in both places, eliminating this weirdness.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10827>

2023-04-02 16:53:45 +0100  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	* scripts/dist-common-files.py:
	  modules: dist common files from monorepo root
	  Less noise when making releases, and just need to maintain one copy.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 17:45:19 +0000  Tim-Philipp Müller <tim@centricular.com>

	* README.md:
	  modules: remove subproject README.md from git
	  Will be added to the tarballs based on the monorepo README on dist.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 17:20:59 +0000  Tim-Philipp Müller <tim@centricular.com>

	* RELEASE:
	  modules: remove RELEASE from git, will be generated from template on dist
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-15 15:02:07 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	  modules: Remove NEWS from git which is generated from full release notes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10822>

2026-02-16 10:51:53 +0800  Xi Ruoyao <xry111@xry111.site>

	* ext/zxing/gstzxing.cpp:
	  zxing: Fix version check for zxing-cpp 3.0.1
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10813>

2026-02-12 14:40:40 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasetransform.c:
	  vabasetransform: copy buffer's metadata at copy when import buffer
	  When downstream doesn't support video meta, the buffer needs to be imported to a
	  VA surface by copying the frame data. But buffer's metadata weren't copied. This
	  patch fixes it by calling base class copy_metadata() virtual method.
	  Original-patch-by: carol-lim <carol.lim@intel.com>
	  Fixes: #4866
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10810>

2026-02-11 09:59:53 +0000  axxel <awagger@gmail.com>

	* ext/zxing/gstzxing.cpp:
	  zxing: Minimal support for compiling with zxing-cpp 3.x
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10799>

2026-02-12 02:25:38 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix CM memory leak due to incorrect unref
	  The GstMemory was being leaked for each frame because
	  gst_memory_unmap() was setting info->memory to NULL, making the unref
	  a no-op. We need to store a separate ref to the memory.
	  This broke in 9baf4701f04ee238db6282f4f348a43ca5a299a9, where
	  info->memory now starts to get cleared on unmap.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10795>

2026-02-10 22:12:56 +0100  Sjoerd Simons <sjoerd@collabora.com>

	* gst-libs/gst/wayland/gstwlwindow.c:
	  waylandsink: make gst_wl_window_commit_buffer handle NULL buffers
	  gst_wl_window_commit_buffer is meant to clear the various surfaces when passed
	  a NULL buffer. In 130e093d5c ("wayland: window: Add the ability to offload
	  cropping"), this case was broken. Correct that.
	  Fixes: 130e093d5c ("wayland: window: Add the ability to offload cropping")
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10793>

2026-02-06 13:09:02 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* gst-libs/gst/vulkan/gstvkdecoder-private.c:
	* gst-libs/gst/vulkan/gstvkencoder-private.c:
	* gst-libs/gst/vulkan/gstvkvideo-private.c:
	* gst-libs/gst/vulkan/gstvkvideo-private.h:
	  vulkan: load video function pointers conditionally based on codec operation
	  Split GST_VULKAN_DEVICE_VIDEO_FN_LIST into COMMON, DECODE, and ENCODE
	  sub-lists so that gst_vulkan_video_get_vk_functions() only loads the
	  function pointers relevant to the codec operation being used.
	  Previously, both decoder and encoder would attempt to load all Vulkan
	  Video function pointers unconditionally, causing initialization to fail
	  on drivers that only support one direction (e.g. decode-only drivers
	  would fail to find vkCmdEncodeVideoKHR).
	  Now the decoder only requires CmdDecodeVideo while the encoder only
	  requires CmdEncodeVideo, GetEncodedVideoSessionParameters, and
	  GetPhysicalDeviceVideoEncodeQualityLevelProperties.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10773>

2026-02-04 16:32:01 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/vulkan/meson.build:
	* sys/applemedia/meson.build:
	  meson: Add a subproject for providing the LunarG MoltenVK SDK
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10752>

2026-02-04 16:38:21 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/aja/gstajasinkcombiner.cpp:
	  ajasinkcombiner: Only forward the segment events from the video sinkpad
	  It's the video buffers with their timestamps that are forwarded, not the audio
	  ones, and if both segments are different then this won't work.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10748>

2026-01-23 12:13:09 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* ext/openh264/gstopenh264enc.cpp:
	  openh264enc: remove broken drain and simplify handle_frame
	  OpenH264 encoder does not support B-frames for any profile, or other
	  advanced encoding
	  feature which could require frame buffering, so there
	  are no potential frames to drain. The drain code was also broken as
	  EncodeFrame() rejects NULL input with cmInitParaError.
	  Remove the non-functional drain loop and clean up handle_frame() by
	  removing dead code paths that were only needed for the broken drain.
	  Add defensive NULL frame check with error logging.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10739>

2026-01-22 14:39:46 +0100  Stéphane Cerveau <scerveau@igalia.com>

	* ext/openh264/gstopenh264enc.cpp:
	* ext/openh264/gstopenh264enc.h:
	  openh264enc: skip drain for baseline profile
	  Baseline profile doesn't use B-frames, so there are no buffered frames
	  to drain at EOS. Attempting to drain by calling EncodeFrame with NULL
	  input causes openh264 to return cmInitParaError and log a spurious
	  error message.
	  Store the profile when initializing the encoder and check it in finish()
	  to skip the unnecessary drain call for baseline profile.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10739>

2025-12-30 18:22:47 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	* gst/mpegtsmux/tsmux/tsmuxcommon.h:
	  tsmux: reduce noise for DEBUG log level
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10736>

2026-01-06 21:35:50 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/frei0r/gstfrei0rsrc.c:
	  frei0r-src: adapt klass "Src" to "Source"
	  use recommended "Source" instead of "Src"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-06 21:28:10 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/rtp/gstrtpsrc.c:
	  rtpsrc: adapt klass "Src" to "Source"
	  use recommended "Source" instead of "Src"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-06 21:25:37 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/avtp/gstavtpsrc.c:
	  avtpsrc: adapt klass "Src" to "Source"
	  use recommended "Source" instead of "Src"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-06 21:21:08 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/unixfd/gstunixfdsrc.c:
	  unixfdsrc: adapt klass "Src" to "Source"
	  use recommended "Source" instead of "Src"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-06 21:15:08 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/debugutils/gstvideocodectestsink.c:
	  videocodectestsink: fix typo in klass
	  use "Video" instead of "video"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-06 09:59:21 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	  gst: also adapt author names in the gst_plugins_cache.json files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 19:25:58 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* ext/webp/gstwebpdec.c:
	* ext/webrtcdsp/gstwebrtcechoprobe.cpp:
	* gst/videoparsers/gstmpegvideoparse.c:
	  gst-plugins: fix author name: correct incomplete or wrong emails
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 19:02:19 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* gst/debugutils/gstvideocodectestsink.c:
	* gst/rist/gstristrtpdeext.c:
	* gst/rist/gstristrtpext.c:
	* gst/rist/gstristsink.c:
	* gst/rist/gstristsrc.c:
	* gst/rist/gstroundrobin.c:
	* sys/ipcpipeline/gstipcslavepipeline.c:
	  gst: fix author name: add missing closing angle bracket
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 18:51:07 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* ext/dtls/gstdtlsdec.c:
	* ext/dtls/gstdtlsenc.c:
	* ext/dtls/gstdtlssrtpdec.c:
	* ext/dtls/gstdtlssrtpdemux.c:
	* ext/dtls/gstdtlssrtpenc.c:
	  dtls: fix author name: add missing angle brackets
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 19:59:13 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/fieldanalysis/gstfieldanalysis.c:
	  fieldanalysis: adapt klass to recommendation
	  - use recommended "Analyzer" instead of "Analysis"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 19:54:15 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/videofilters/gstzebrastripe.c:
	  zebrastripe: adapt klass to recommendation
	  - use "Video" as the element operates on base type video
	  - use recommendated "Analyzer" instead of "Analysis"
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 21:21:41 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	  gst-plugins-bad: remove trailing spaces: update gst_plugins_cache.json
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 14:31:05 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* ext/smoothstreaming/gstsmoothstreaming-plugin.c:
	  smoothstreaming: remove trailing space from desc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 14:24:47 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* ext/openni2/gstopenni2src.cpp:
	  openni2src: remove trailing space from desc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-04 14:15:07 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* gst/siren/gstsirendec.c:
	* gst/siren/gstsirenenc.c:
	  siren: remove trailing space from klass
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10729>

2026-01-30 16:55:11 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst/closedcaption/gstcea608mux.c:
	  cea608mux: fix overflow when calculating output PTS
	  In the presence of a 60000 / 1001 framerate, the previous method of calculation
	  would overflow after 10 hours.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10726>

2026-01-11 20:44:46 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/analyticsoverlay/gstobjectdetectionoverlay.c:
	  objectdetectionoverlay: add support for rotated bounding boxes
	  - Use angle from GstAnalyticsODMtd
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10671>

2026-01-21 16:24:50 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/wayland/gstwlwindow.c:
	  wayland: Fix CLAMP operation of maxFALL and maxCLL
	  The CLAMP operation was simply called the wrong way, which resulted in returning
	  the original value without clipping. This fixes !9353.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10685>

2026-01-30 16:09:30 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix race condition when negotiating during playback
	  Follow up to 376eee3bb1250cdf0f4aeab9f362c01f291dfd55 - this change
	  should have the same intended effect but removes a rare race condition.
	  After the above commit it became possible for the output loop to be
	  active in two threads at once and attempt to push frames from both,
	  possibly out of order. That's because both the thread that calls
	  set_format() and the normal output loop thread would eventually end up
	  calling drain_decoder(). When that happened, the srcpad task loop would
	  quit correctly, but the manual call to the output loop function in
	  drain_decoder() could get stuck due to the drain/flush flags being reset
	  from the other thread.
	  This change makes sure we never call the output loop from anywhere else
	  than the srcpad task. Instead of that, the output loop will not pause
	  while drain/flush is active as long as there are any frames in the
	  output queue. This makes sure that in drain_decoder(), when we request
	  the loop to pause, all frames will be out by the time that call returns.
	  At the same time, a pause requested from change_state() won't be
	  affected.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10715>

2026-01-30 16:08:41 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Add more debug logging
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10715>

2026-01-30 16:26:36 +0100  François Laignel <francois@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: fix reverse playback
	  Problem found rendering an F32 stream.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10712>

2026-01-29 16:49:26 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Don't re-create session if only the framerate changed
	  Playing back some fMP4 files can trigger caps events at fragment
	  boundaries where only the framerate changes. We shouldn't re-create the
	  decoder session in this case, because the new fragment may still depend
	  on reference frames from the previous fragment. Re-creating the session
	  makes VT unable to decode a part of the new fragment, resulting in
	  missing frames for a while.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10702>

2026-01-23 13:13:08 +0100  Rinat Zeh <rinat.zeh@i-rz.de>

	* ext/mpeghdec/gstmpeghdec.c:
	  mpeghdec: memory leak fix in MPEG-H Audio decoder plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10687>

2026-01-23 20:06:11 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	* gst/audiobuffersplit/gstaudiobuffersplit.h:
	  audiobuffersplit: Implement negative rates correctly
	  Change segments with negative rates to segments with positive rate and negated
	  applied rate, and accordingly adjust timestamps and reverse all samples in every
	  buffer before passing to the adapter.
	  This makes sure that chunking of output buffers is still done correctly while
	  keeping all samples in order. Previously each buffer would be output with
	  samples in positive order, but there would be discontinuities with jumps
	  backward at every input buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-23 15:40:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Convert gap events to silence buffers
	  Otherwise they would potentially pass ahead of previous buffers that are still
	  in the adapter, or otherwise cause inconsistent output.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-20 13:12:28 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Handle SEGMENT_DONE the same way as EOS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-20 13:13:48 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Send any pending segment before EOS/SEGMENT_DONE
	  This is still not entirely correct but at least makes sure that a pending segment is sent downstream at all.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6019
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-16 18:19:08 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Log if an input buffer has the discont flag set or not
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-16 18:18:40 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Don't use floating point divisions unnecessarily
	  Also rename variables for clarity.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-16 18:17:42 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Use the output segment for output related calculations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-16 18:17:00 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/audiobuffersplit/gstaudiobuffersplit.c:
	  audiobuffersplit: Correctly calculate adapter start/end running time for negative rates
	  Running time still increases normally.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10670>

2026-01-19 03:03:11 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* gst-libs/gst/vulkan/ios/gstvkwindow_ios.m:
	  vulkan/ios: Fix scaling and resizing with UIView
	  * layoutSubviews was misspelled, so it was never being called
	  * Vulkan wants the size in pixels, and the CGRect is in points, so it
	  must be scaled
	  * Update drawable size when the window object changes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10669>

2025-12-04 10:55:18 -0800  Deepa Guthyappa Madivalara <deepa.madivalara@oss.qualcomm.com>

	* sys/v4l2codecs/linux/videodev2.h:
	  v4l2: Add support for AV1 V4l2 decoder
	  Introduce support for new pixelformat V4L2_PIX_FMT_AV1
	  mapping to AV01.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10664>

2026-01-28 13:31:14 +0000  freedesktop <andreas.campagna@ac-cloud.eu>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: fix reference counting
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10660>

2026-01-28 11:51:07 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/tensordecoders/gstclassifiertensordecoder.c:
	  classifiertensordecoder: Fix uninitialized variable compiler warning
	  And also remove some dead code: self->class_quark is always set at this point.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4871
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-28 11:50:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/va/gstvadisplay.c:
	  vadisplay: Fix a couple of new const-ness warnings around strstr() usage
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4871
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10656>

2026-01-28 10:22:21 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Check the presence of encoding-name fields in answer caps
	  The caps returned by `gst_sdp_media_get_caps_from_media()` can potentially be
	  incomplete if the input SDP has been altered by a third party, so in those cases
	  skip to the next payload when processing answer caps.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10662>

2026-01-27 17:36:15 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Implement drain() to allow reverse playback
	  Outputs what it can output and then flushes the leftovers in case there was an error when
	  pushing frames downstream. Matches v4l2dec's behaviour.
	  Without this `gst_video_decoder_drain_out()` would do nothing and reverse playback
	  would just get stuck.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10654>

2026-01-27 17:22:47 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Make sure to reset last flow return when flushing
	  Otherwise if we hit e.g. an EOS before a flush, it could stick around
	  and cause any following frames to be ignored in handle_frame().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10654>

2026-01-27 16:40:29 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix a very slight race in handle_frame() when flushing
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10654>

2026-01-21 11:12:52 +0100  Piotr Brzeziński <piotr@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Always reset flushing flag in flush()
	  Previous version assumed that flush-stop would always be received after a flush() call, but the base video decoder class
	  will just simply use that function in reverse playback without sending any events, causing the flag to be stuck.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10654>

2026-01-22 16:32:27 +0900  Seungha Yang <seungha@centricular.com>

	* gst/codectimestamper/gstcodectimestamper.c:
	  codectimestamper: Fix latency query handling
	  Add missing max latency value update
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10653>

2026-01-20 14:25:52 +0100  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: always send a segment before sending eos or segment-done
	  When a seek was requested past the end of the stream an eos or segment-done
	  event was sent without the segment event.
	  The segment event is sent before the first buffer is pushed and it takes care
	  of adjusting the segment with regard to the max_temporal_offset
	  (see in `gst_mxf_demux_handle_generic_container_essence_element ()`). If no
	  buffer can be sent, the segment is not sent.
	  This commit makes sure a segment is sent before pushing any eos or
	  segment-done event.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10650>

2025-12-11 15:51:03 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Simplify initial packet handling
	  * If there's no payload, we don't care about it
	  * If we have a non-PUSI packet and we are empty, return early
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10643>

2025-11-14 16:04:04 +0100  Edward Hervey <edward@centricular.com>

	  tsdemux: Fix Continuity Counter handling
	  If a stream has a continuity counter issue we need to immediately:
	  * Drop all pending data, **NOT** flush it downstream (it's incomplete)
	  * Not use that packet, even if it's a PUSI.
	  This avoids two issues with PES:
	  * Processing: a PES Header .. which might come from a misordered packet,
	  introducing bogus timing observations.
	  * Sending: half-complete PES payload downstream when discontinuity happens,
	  which can confuse several bytestream-based codecs/parsers (which rely on a
	  bytecode sequence to detect boundaries, and not a specific payload size).
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10643>

2026-01-13 16:01:28 +0100  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: fix gst_mxf_demux_pad_get_stream_time ()
	  `gst_mxf_demux_pad_get_stream_time ()` was only considering the `material_track`
	  edit rate while other time related functions such as
	  `gst_mxf_demux_pad_get_current_time ()` use the `material_track` edit rate when
	  summing the duration of all the previous essence track, then use current
	  essence track edit rate for the essence track position.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10633>

2025-11-14 15:15:53 +0100  Edward Hervey <edward@centricular.com>

	* gst/mpegtsdemux/mpegtspacketizer.c:
	  mpegtspacketizer: Handle clock change/resets without skew correction
	  While we don't want to calculate and apply a skew correction, we still need to
	  detect whether upstream clock changed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10635>

2026-01-09 17:05:35 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/aja/gstajasinkcombiner.cpp:
	  ajasink: Only allow 6 / 8 / 16 audio channels
	  Any other value is rejected by the SDK and driver, see implementation of
	  `CNTV2Card::SetNumberAudioChannels()`.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10624>

2026-01-14 14:06:04 +0100  Xabier Rodriguez Calvar <calvaris@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	* ext/webrtc/transportstream.c:
	* gst-libs/gst/webrtc/nice/nicestream.c:
	  webrtc: sink floating refs of ICE transports
	  We should be returning full refs instead of floating refs when get them queried
	  from properties and we were not because references were not sunk after creation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10627>

2026-01-05 19:15:10 +0900  Seungha Yang <seungha@centricular.com>

	* sys/nvcodec/gstcudamemorycopy.c:
	  cudaupload, cudadownload: Fix CUDA/GL interop copy path
	  Avoid requiring an element-owned GL context when copying between
	  CUDA and GL memory, since the GL context is already owned by
	  the GLMemory object
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10620>

2026-01-27 18:25:19 +0100  Piotr Brzeziński <piotr@centricular.com>

	* ext/dash/meson.build:
	* ext/smoothstreaming/meson.build:
	* ext/ttml/meson.build:
	  meson: Fix libxml2 not building due to wrong option type
	  'python' was moved from a boolean to a feature a few months ago and
	  4f4260dbe3489699aba0a724a3d55020666a0d6a pulled that in on our side.
	  Notably, this was causing adaptivedemux2 to not build on my system.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10618>

2026-01-27 17:10:54 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.28.0

=== release 1.28.0 ===

2026-01-27 17:02:33 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* README.md:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.28.0

2026-01-27 15:14:41 +0000  Tim-Philipp Müller <tim@centricular.com>

	* ext/lcevcdecoder/gstlcevch264decodebin.c:
	* ext/lcevcdecoder/gstlcevch265decodebin.c:
	* ext/lcevcdecoder/gstlcevch266decodebin.c:
	  lcevch26xdecodebin: don't autoplug for now until issues with non-LCEVC streams are fixed
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4870
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10612>

2026-01-25 17:18:08 +0000  Tim-Philipp Müller <tim@centricular.com>

	* po/LINGUAS:
	* po/ar.po:
	* po/hr.po:
	* po/ro.po:
	  gst-plugins-bad: update translations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10598>

2026-01-19 18:48:39 +0100  Rafael Caricio <rcaricio@netflix.com>

	* sys/applemedia/vtdec.c:
	  vtdec: check AV1 support during caps negotiation
	  Override getcaps vfunc to filter out video/x-av1 from advertised caps
	  when hardware decoding is not supported, rather than failing later in
	  set_format. This allows proper fallback to other decoders during
	  autoplugging.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10562>

2026-01-20 20:27:40 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/rtmp/gstrtmp.c:
	* ext/rtmp/gstrtmpsink.c:
	* ext/rtmp/gstrtmpsrc.c:
	  rtmp: Emit a deprecation warning in init
	  After 1.28.0 is released, we will remove this plugin and have the
	  rtmp2 plugin register these features.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10574>

2026-01-18 17:09:10 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* meson.build:
	* meson.options:
	  meson: Don't disable orc support when orcc is not available
	  This was breaking usage of orc when cross-compiling with no orcc
	  available in PATH. We can use the orc-dist.{c,h} files in that case as
	  long as the orc library itself is available. Using the subproject, for
	  example.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10553>

2025-12-20 19:56:37 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstamc.c:
	* sys/androidmedia/gstamcutils.c:
	* sys/androidmedia/gstamcutils.h:
	* sys/androidmedia/gstamcvideoenc.c:
	* sys/androidmedia/gstjniutils.c:
	* sys/androidmedia/gstjniutils.h:
	* sys/androidmedia/jni/gstamc-codeclist-jni.c:
	* sys/androidmedia/meson.build:
	  amc: Fix init on Android API < 29
	  Not finding isHardwareAccelerated() is an error only for API >= 29.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4693
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10426>

2025-12-20 19:55:45 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/androidmedia/gstjniutils.c:
	  amc: Fix whitespace around gst_amc_jni_call_*_method macros
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10426>

2026-01-14 19:07:40 -0600  Christopher Degawa <ccom@randomderp.com>

	* ext/svtav1/gstsvtav1enc.c:
	  svtav1enc: handle deprecations from SVT-AV1 4.0.0
	  `enable_adaptive_quantization` was replaced by `aq_mode` since it's not
	  a boolean. `target_socket` was removed entirely. If someone wants to
	  pin the encoder to a specific socket, they will have to use external
	  means like numactl etc.
	  Signed-off-by: Christopher Degawa <ccom@randomderp.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10543>

2026-01-12 16:09:38 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/win32ipc/gstwin32ipc.cpp:
	* sys/win32ipc/gstwin32ipcbasesink.cpp:
	* sys/win32ipc/gstwin32ipcbasesrc.cpp:
	* sys/win32ipc/gstwin32ipcsink.cpp:
	* sys/win32ipc/gstwin32ipcsrc.cpp:
	  win32ipc: Update plugin docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10529>

2026-01-12 16:07:54 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/d3d12/gstd3d12fisheyedewarp.cpp:
	* sys/d3d12/gstd3d12memorycopy.cpp:
	* sys/d3d12/gstd3d12overlaycompositor.cpp:
	* sys/d3d12/gstd3d12remap.cpp:
	  d3d12: Update plugin docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10529>

2026-01-12 15:23:24 +0900  Seungha Yang <seungha@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  wasapi2: Update plugin docs
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10529>

2026-01-12 07:34:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  va: encoder: don't fail at close if config isn't created
	  With the last refactor, the configuration of the encoder is lazy, so it's
	  possible to close the encoder without even opened it. But still return FALSE if
	  closing the encoder with no config ID, which generated spurious error logs.
	  This patch also resets the state of the encoder while closing.
	  Fixes: #4852
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10528>

2026-01-13 09:46:48 +0100  Sjoerd Simons <sjoerd@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: Reset memory_info after freeing
	  For clarity also reset memory_info to NULL after freeing it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10535>

2026-01-13 08:33:36 +0100  Sjoerd Simons <sjoerd@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Fix invalid free of output names
	  Ensure the output_names array has been allocated before trying to free
	  its elements. This situation happens when the model validation fails
	  before the output names are assigned; I ran into it due to an
	  incorrect model info file.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10535>

2026-01-10 21:27:30 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* tests/check/meson.build:
	  bad: fix indentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10527>

2026-01-10 15:29:50 +0100  Ruben Gonzalez <rgonzalez@fluendo.com>

	* gst/closedcaption/meson.build:
	* tests/check/meson.build:
	  closedcaption: map with meson options
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10527>

2026-01-07 14:06:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Check correct flags for deciding whether a track is enabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10503>

2026-01-07 13:25:55 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Move subtitle enabled condition to the right place
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10503>

2026-01-06 18:29:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Don't access currently selected audio/video/subtitle stream ids without mutex
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10503>

2026-01-06 18:25:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Don't do the same stream selection multiple times
	  playbin3 doesn't respond with a streams-selected message in that case, and apart
	  from that it's also inefficient.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10503>

2026-01-06 14:20:30 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/play/gstplay.c:
	  play: Ignore streams-selected messages for old selections
	  It might happen that we received a new stream-collection and sent a new
	  select-streams event in the meantime, and reacting to the old streams-selected
	  message can cause inconsistent states if the streams have changed.
	  See https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9851
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10503>

2025-12-27 18:47:42 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	* gst-libs/gst/webrtc/ice.c:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc: Change promise in gst_webrtc_ice_close() to `transfer none`
	  This is more in line with other API taking a promise and makes it easier for
	  calling code to keep a reference to the promise around.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4819
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10460>

2026-01-05 20:20:51 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.90

=== release 1.27.90 ===

2026-01-05 20:15:10 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.27.90

2026-01-05 18:08:00 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* gst-libs/gst/codecs/gstvp8decoder.c:
	  vp8decoder: Fix incorrect variable in warning message
	  The warning message for unrecognized copy_buffer_to_golden was
	  incorrectly printing copy_buffer_to_alternate instead of
	  copy_buffer_to_golden. This was a copy-paste error that would
	  display the wrong field value when debugging invalid VP8 streams.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10494>

2026-01-04 21:58:36 +0100  Christian Gräfe <cgraefe83@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/qroverlay/gstdebugqroverlay.c:
	* ext/qroverlay/gstqroverlay.c:
	  qroverlay: use proper klass
	  klass was not really keywords but a description
	  use base type "Video"
	  and functional type "Overlay" (not defined yet in the docu, but also used by other elements)
	  also fix the long-name of debugqroverlay
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10493>

2025-12-30 18:53:26 -0500  Doug Nazar <nazard@nazar.ca>

	* ext/assrender/gstassrender.c:
	* ext/sndfile/gstsfsrc.c:
	* ext/ttml/gstttmlrender.c:
	* gst/dvdspu/gstdvdspu.c:
	* gst/segmentclip/gstsegmentclip.c:
	* tools/element-templates/sinkpad:
	  gst: Properly unref pad template caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10477>

2025-12-31 09:08:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/mpeg2enc/gstmpeg2enc.cc:
	  mpeg2enc: Fix indentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10476>

2025-12-30 17:53:22 -0500  Doug Nazar <nazard@nazar.ca>

	* tests/check/elements/audiovisualizer.c:
	* tests/check/elements/mpegtsmux.c:
	  tests: Fix several memory leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10476>

2025-12-30 17:51:50 -0500  Doug Nazar <nazard@nazar.ca>

	* ext/mpeg2enc/gstmpeg2enc.cc:
	  mpeg2enc: Fix several memory leaks
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10476>

2025-12-26 15:38:07 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Fix integer overflow in buffer allocation
	  Use g_size_checked_mul() to safely calculate the buffer size
	  (width * height * channels * element_size) to prevent integer
	  overflow which could lead to undersized buffer allocation and
	  heap corruption.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10449>

2025-12-24 11:28:53 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsmeta.c:
	* gst-libs/gst/analytics/gstanalyticsobjectdetectionmtd.c:
	* gst-libs/gst/analytics/gstanalyticssegmentationmtd.c:
	  analyticsmeta: Export debug category to the Mtd for better debug messages
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10443>

2025-12-24 11:18:25 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsmeta.c:
	  analyticsmeta: Set debug category as default
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10443>

2025-12-24 11:08:10 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsobjectdetectionmtd.c:
	  objectdetectionmtd: Reject transformations that aren't 90deg based or symetries
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10443>

2025-12-24 10:37:50 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticssegmentationmtd.c:
	  segmentationmtd: Drop meta on rotations/flips
	  We don't have any code to do this kind of transformation.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10443>

2025-12-23 16:20:16 -0500  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsmeta.c:
	  analyticsrelationmeta: Skip Mtd that can't be transformed
	  Also do the relationship copying in the end.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10443>

2025-12-26 14:32:08 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* gst/geometrictransform/gstgeometrictransform.c:
	  geometrictransform: Fix integer overflow in map allocation
	  Use g_size_checked_mul() to safely calculate the map size
	  (width * height * 2 * sizeof(gdouble)) to prevent integer
	  overflow which could lead to undersized buffer allocation
	  and subsequent heap corruption when the map is populated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10448>

2025-12-26 10:26:38 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* gst/geometrictransform/gstkaleidoscope.c:
	  kaleidoscope: Fix potential division by zero in geometric transform
	  Avoid division by zero when cos(theta) is close to zero. When theta
	  approaches ±π/2 after the triangle function calculation, cos(theta)
	  becomes zero, which would cause undefined behavior. Check that
	  cos(theta) is sufficiently far from zero before performing the
	  division.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10438>

2025-12-22 21:56:05 +0100  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Check transport before setting state when closing
	  `webrtc_transceiver_get_dtls_transport()` can return NULL so that needs to be
	  checked by the caller.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10432>

2025-12-22 16:23:10 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	* gst/mpegtsmux/gstbasetsmuxjpegxs.h:
	* gst/tensordecoders/gstclassifiertensordecoder.c:
	  gst: Remove various wrongly added includes
	  These were most likely added by clangd automatically.
	  Please use `-header-insertion=never` with clangd!
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8519>

2025-12-17 11:36:14 +0100  Johan Sternerup <johast@axis.com>

	* gst-libs/gst/webrtc/nice/meson.build:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtcnice: Depend on libnice 0.1.23
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8519>

2025-04-16 14:48:57 +0200  Johan Sternerup <johast@axis.com>

	* gst-libs/gst/webrtc/nice/meson.build:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtcnice: Close agent and do it with force
	  Call nice_agent_close_async() to make sure all outstanding resolve tasks have
	  finished, which means we avoid a potential leak of a GMainContext with
	  an associated file descriptor. We only do this if
	  NICE_AGENT_OPTION_CLOSE_FORCED is available and can be used, because
	  otherwise the closing procedure can take quite a long time while waiting
	  for turn server responses.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8519>

2025-04-28 13:44:12 +0200  Johan Sternerup <johast@axis.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtcnice: Wait for completion of proxy and mdns resolve tasks
	  This commit ensures all outstanding name resolving for mdns and proxy is
	  finished before the nice agent thread is shut down. This is important
	  because the DNS resolving is performed by GThreadedResolver, which uses
	  a GTask taking a strong reference to the agent main context in order to
	  be able finish the task and run the final callback within the agent main
	  context. Consequently, the main context cannot be disposed until the
	  GTask has finished. Leaking a GMainContext is particularly bad because
	  it involves leaking the file descriptor used for polling events.
	  GThreadedResolver takes a strong reference to the GTask. it hands this
	  reference over to an internal worker thread that ultimately calls libc's
	  `getaddrinfo()`. This function can hang for an undefined amount of time
	  depending on network or network driver conditions. This makes it
	  impossible to completely control the lifetime of our GTask/GMainContext,
	  but what we can do is to make sure that in case of a long hang or early
	  shutdown of the agent, the GTask has already finished so that when
	  `getaddrinfo()` returns the only work left to do is to drop the
	  reference to GTask (and possibly GMainContext).
	  GThreadedResolver already sets up two mechanisms for finishing the task
	  earlier than `getaddrinfo()`, one timeout source and a cancellation
	  source. The cancellation source was previously created by
	  GThreadedResolver, but we're now passing it ourselves so that we can
	  explicitly invoke cancellation. There is one quirk though. Both the
	  timeout source and the cancellation source are associated with the gio
	  global worker context. Thus, cancellation will happen in the thread
	  driving the worker context and there it will conclude that the final
	  agent callback must be invoked within the agent main context. This
	  detour means we cannot simply cancel and expect the GTask to be
	  finalized without also explicitly waiting for the finalization.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8519>

2025-12-18 18:23:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecs/gsth265decoder.c:
	* gst-libs/gst/codecs/gsth266decoder.c:
	  codecs: h265/h266dec: Do not try to output failed frames
	  "end_picture()" virtual function may fail due to various reason, one of them
	  being that a flush is happening. Since the picture failed, the subclass may have
	  flushed any picture data from it, and will likely throw an error or crash when
	  trying to output.
	  These two decoder simply didn't care unlike all the other. Use similar technique
	  as used in h264dec, which is to mark the frame as not for output.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10421>

2025-12-18 15:38:55 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecav1dec.c:
	* sys/v4l2codecs/gstv4l2codecvp9dec.c:
	  v4l2codecs: av1/vp9: Properly propagate flow ret such as FLUSHING
	  Some of the decoder would simply turn any flow return into an ERROR, which
	  can be noisy when the original flow return is FLUSHING due to a normal flush
	  condition.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10421>

2025-12-18 15:37:38 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codecav1dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	  v4l2codecs: av1/vp9: Fix request leak on error
	  The request was not being freed property if there was an error. Typically a
	  flush / seek operation could cause this.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10421>

2025-12-18 15:35:07 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* sys/v4l2codecs/gstv4l2codech264dec.c:
	* sys/v4l2codecs/gstv4l2codech265dec.c:
	* sys/v4l2codecs/gstv4l2codecmpeg2dec.c:
	* sys/v4l2codecs/gstv4l2codecvp8dec.c:
	  v4l2codecs: Assert and return on missing request
	  The base class isn't supposed to output a picture that has never been
	  requested or for which the request has been removed by the flush operation.
	  Make sure to crash this kind of programming error with an assert, while
	  protecting against crash in this case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10421>

2025-12-18 15:46:24 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/hls/gsthlsdemux.c:
	  hlsdemux: Mark discontinuity on seek
	  When seeking across an EXT-X-DISCONTINUITY tag, set the internal
	  stream discont flag. This ensures the next buffer is correctly marked
	  with GST_BUFFER_FLAG_DISCONT, signaling a timeline reset to
	  downstream elements.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10402>

2025-12-17 13:17:52 -0600  Brad Reitmeyer <brad.reitmeyer@resi.io>

	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklinkvideosink: Fix frame duration to be based on the decklink clock
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10401>

2025-12-21 22:12:43 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: remove invalid properties
	  - input-tensor-offset and input-tensor-scale have been removed
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10427>

2025-12-19 15:40:26 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/rsvg/meson.build:
	  meson: Solve some cyclic dependencies caused by test-only deps
	  gstreamer => gobject-introspection => cairo => fontconfig => freetype2 => harfbuzz => cairo
	  gst-plugins-base => libdrm => cairo => fontconfig => freetype2 => harfbuzz => cairo
	  gst-plugins-good => cairo => librsvg => cairo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10422>

2025-12-19 11:16:27 +0100  Adrien Plazas <aplazas@gnome.org>

	* gst-libs/gst/play/gstplay.c:
	* gst-libs/gst/play/gstplay.h:
	  gstplay: Add gapless looping
	  This adds the GstPlayLoop enumeration and the loop configuration
	  accessor methods. It allows gapless looping over the current track.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10418>

2025-12-14 11:59:43 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: update gst-plugins-bad doc cache
	  - doc cache updated
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10380>

2025-12-13 11:37:04 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstssdtensordec.c:
	* gst/tensordecoders/gstssdtensordec.h:
	* gst/tensordecoders/gsttensordecoders.c:
	  tensordecoder: ssdtensordec backward compat with oldname
	  - Also register old name "ssdobjectdetector" for backward compatibility.
	  - warn about Deprecated in instance_init
	  - better annotation related to deprecated
	  Co-authored-by: Sebastian Dröge <sebastian@centricular.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10380>

2025-12-18 18:07:17 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/librfb/gstrfbsrc.h:
	  video: Include gstvideodmabufpool.h from video.h
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10411>

2025-12-16 16:41:57 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/jpegformat/gstjpegparse.c:
	* gst/jpegformat/gstjpegparse.h:
	  jpegparse: enable MPF support to JPEG parser
	  Parse Multi Picture Format APP2 segments to handle multiple images in a
	  single JPEG stream. Ignore non-primary images and adjust frame logic for
	  correct framing.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10301>

2025-12-04 18:24:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: add MPF parsing support
	  Parse APP2 segments containing Multi-Picture Format data according to CIPA DC-x
	  007-2009 specification. This enables handling of JPEG files with multiple
	  embedded images like panoramas or stereoscopic pairs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10301>

2025-12-17 14:39:07 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: add synthetic header/footer for XMP
	  Add synthetic xpacket XML header and footer if missing in XMP data in APP1
	  segment, since they are needed for the parsing function
	  gst_tag_list_from_xmp_buffer().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10301>

2025-12-17 14:47:38 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst/jpegformat/gstjpegparse.c:
	  jpegparse: add metadata state flag
	  This ensures metadata from APP segments and comments is accounted for,
	  preventing the loose of those segments.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10301>

2025-12-18 17:47:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst-libs/gst/analytics/modelinfo.c:
	  modelinfo: Add some missing annotations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10410>

2025-12-17 14:24:31 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfdemux.c:
	* gst/mxf/mxfdemux.h:
	  mxfdemux: Simplify timestamp tracking
	  Apart from keeping less state around this also calculates more accurate
	  timestamps because of tracking everything in terms of edit units instead of
	  nanoseconds.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10396>

2025-12-17 11:57:01 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfdemux.h:
	  mxfdemux: Switch edit unit position tracking to unsigned integers
	  These can never become negative and the only negative number in use is
	  -1 for "unset", which maps equally well to G_MAXUINT64.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10396>

2025-12-17 18:58:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/aiff/aiffparse.c:
	* gst/aiff/aiffparse.h:
	  aiffparse: Remove segment closing on non-flushing seeks
	  That's a 0.10 leftover and not necessary anymore, and can confuse downstream
	  elements unnecessarily.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10399>

2025-12-17 18:53:26 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfdemux.c:
	* gst/mxf/mxfdemux.h:
	  mxfdemux: Remove segment closing on non-flushing seeks
	  That's a 0.10 leftover and not necessary anymore, and can confuse downstream
	  elements unnecessarily.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4803
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10399>

2025-12-17 10:23:25 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/aes/gstaesdec.c:
	  aesdec: use gsize for buffer sizes and fix log format
	  Replace casts with gsize in gst_aes_dec_prepare_output_buffer() and use
	  G_GSIZE_FORMAT for logging to avoid truncation and warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10239>

2025-11-28 14:40:49 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/aes/gstaesenc.c:
	  aesenc: use gsize for buffer sizes and fix log format
	  Replace casts with gsize in gst_aes_enc_prepare_output_buffer() and use
	  G_GSIZE_FORMAT for logging to avoid truncation and warnings.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10239>

2025-12-17 11:07:18 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/hls/gsthlssink.c:
	  hlssink: Guard NULL structure and use gst_structure_has_name()
	  Prevent NULL dereference by checking gst_message_get_structure()
	  result before accessing fields. Replace strcmp() with
	  gst_structure_has_name() for safe structure name comparison.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10393>

2025-12-11 21:53:04 -0500  Aaron Boxer <aaron.boxer@collabora.com>

	* gst-libs/gst/play/gstplay.c:
	  play: do not call gst_pb_utils_get_codec_description if caps are not fixed
	  this avoids throwing a (harmless) exception when stream selection is
	  called before pipeline is linked
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10341>

2025-12-15 17:57:49 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  docs: Update gir / plugins docs cache
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10384>

2025-12-15 15:08:02 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	* ext/tflite/gsttfliteinference.c:
	* gst/tensordecoders/gstclassifiertensordecoder.c:
	* gst/tensordecoders/gstfacedetectortensordecoder.c:
	* gst/tensordecoders/gstssdtensordec.c:
	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.c:
	  gst: Rename GstValueSet to GstValueUniqueList
	  GObject-Introspection has an issue with GstSet because anything that starts with
	  'gst_value_set' becomes something that belongs to 'GstSet' but we have
	  gst_value_set_bitmask and gst_value_set_SOMETHING (), which all would become
	  methods of GstSet.
	  To avoid this, rename GstSet (aka GstValueSet) to GstUniqueList (aka
	  GstValueUniqueList).
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4813
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10384>

2025-12-16 13:05:19 +0100  François Laignel <francois@centricular.com>

	* gst/mxf/mxfdemux.c:
	  mxfdemux: send event SegmentDone for segment seeks
	  ... instead of sending an EOS event in that case.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10331>

2025-12-10 15:54:50 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/vmaf/meson.build:
	  meson: fix building -bad tests with disabled vmaf
	  Fixes an error from Meson:
	  subprojects/gst-plugins-bad/tests/check/meson.build:175:85: ERROR:
	  Unknown variable "libvmaf_dep".
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10353>

2025-12-13 11:29:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/fdkaac/gstfdkaacdec.c:
	  fdkaacdec: Invalidate channel_types/indices when setting a known config
	  Otherwise switching from an unknown config (which is then mapped one by one) to
	  a known config and then back to the same unknown config makes it use invalid
	  cached channel positions.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4791
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10370>

2025-11-26 20:09:20 +0100  Jakub Adam <jakub.adam@collabora.com>

	* ext/dtls/gstdtlsdec.c:
	  dtlsdec: mark generated cert agent with GST_OBJECT_FLAG_MAY_BE_LEAKED
	  So that it is ignored by the leaks tracer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10366>

2025-12-12 15:41:42 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcbasesink.cpp:
	  win32ipcbasesink: Serialize metas from uploaded buffer
	  Use metas attached to the uploaded buffer instead of the original one,
	  as the uploaded buffer may have different memory-layout-related metas
	  such as video meta
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10362>

2025-12-10 16:30:55 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcsink.cpp:
	  win32ipcsink: Preserve original buffer flags in raw-video fallback path
	  Copy all metadat including buffer flags from the original buffer so
	  that clients receive the intended information
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10343>

2025-12-09 11:12:12 +0100  Hyunjun Ko <zzoon@igalia.com>

	* gst-libs/gst/vulkan/gstvkformat.c:
	  vkformat: Add VK_FORMAT_G10X6_B10X6R10X6_2PLANE_420_UNORM_3PACK16 format
	  Add support for VK_FORMAT_G10X6_B10X6R10X6_2PLANE_420_UNORM_3PACK16,
	  which is the Vulkan equivalent of P010.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10333>

2025-12-10 20:53:29 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  doc: gst-plugins-bad doc cache update
	  - cache update
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10340>

2025-12-09 15:03:34 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstssdtensordec.c:
	* gst/tensordecoders/gstssdtensordec.h:
	* gst/tensordecoders/gsttensordecoders.c:
	* gst/tensordecoders/meson.build:
	  tensordecoder: rename ssdobjectdetector to ssdtensordec
	  - renamed ssdobjectdetector to ssdtensordec
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10340>

2025-12-08 12:58:44 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  gst-python: make python linter happy with test_analytics
	  - Change to be confirm fory PEP8
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10244>

2025-12-08 00:09:47 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.c:
	  tensordecoders: yolo tensordecoders
	  - Change to dims-order from row-majot to col-major as they are col-major and
	  with new modelinfo improvement we can communicate this from inference.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10244>

2025-11-30 22:42:09 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: refactor to use ModelInfo
	  - Retrieve model metadata from modelInfo instead of from ONNX.
	  - Validate modelInfo match ONNX, when available
	  - Get means and stddev from ModelInfo
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10244>

2025-12-03 22:24:27 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/tflite/gsttfliteinference.c:
	* ext/tflite/meson.build:
	* ext/tflite/modelinfo.c:
	* ext/tflite/modelinfo.h:
	  tflite: adapt to analytics modelinfo moved
	  - use modelinfo from analytics
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10244>

2025-12-03 22:23:32 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst-libs/gst/analytics/analytics.h:
	* gst-libs/gst/analytics/meson.build:
	* gst-libs/gst/analytics/modelinfo.c:
	* gst-libs/gst/analytics/modelinfo.h:
	  analytics: move modelinfo to analytics lib
	  - moved to analytics and added dims-order setting
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10244>

2025-12-09 22:01:48 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstioutracker.h:
	  tensordecoder: fix typo in header
	  - gstreamer-ssdobjectdetector -> gstreamer-ioutracker
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10342>

2025-12-09 17:30:58 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* gst-libs/gst/webrtc/nice/nice.c:
	* gst-libs/gst/webrtc/nice/nicetransport.c:
	* gst-libs/gst/webrtc/nice/niceutils.h:
	  webrtc/nice: fix crashes on gathering stats for relay candidates
	  libnice does not have TURN information for remote relay candidates,
	  but the `nice_candidate_relay_address` returns void and doesn't
	  check if the `turn` field is set, unlike
	  `nice_candidate_stun_server_address`.
	  As a consequence, we must only call the API for local candidates.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10336>

2025-12-09 19:13:20 +0000  Tim-Philipp Müller <tim@centricular.com>

	* meson.build:
	  Back to development after 1.27.50

=== release 1.27.50 ===

2025-12-09 19:08:48 +0000  Tim-Philipp Müller <tim@centricular.com>

	* NEWS:
	* RELEASE:
	* gst-plugins-bad.doap:
	* meson.build:
	  Release 1.27.50

2025-12-05 13:15:19 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst-libs/gst/wayland/gstwlvideoformat.h:
	  wayland: Add Y444 pixel format support
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10307>

2025-12-05 13:52:45 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	* ext/wayland/gstwaylandsink.c:
	  waylandsink: Propose udmabuf allocator
	  This change sync both GTK and native waylandsink propose_allocation method and
	  adds support for the new udmabuf allocator and dmabuf pool.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10307>

2025-11-26 21:44:56 +1100  Jan Schmidt <jan@centricular.com>

	* ext/webrtc/gstwebrtcbin.c:
	  webrtcbin: Ensure ice-gathering-state reaches complete
	  If there are pending ice candidates queued for emission when the
	  underlying ICE implementation signals that all transports have completed
	  gathering ICE candidates, then reporting that the 'ice-gathering-state'
	  has reached 'complete' state is deferred. In that situation, we need
	  to emit the completion state change after the pending candidates finish
	  emission. Previously, the state change would not complete sometimes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10206>

2025-12-08 16:20:39 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/codecparsers/gsth264bitwriter.c:
	  codecparsers: h264bitwriter: Fix writing of scaling lists
	  The logic in the writer was comparing the scaling lists differently than
	  the parser. Where the parser compared the first list to the defaults and
	  later lists to the earlier, the writer compared every list to the default.
	  This means a PPS received with scaling lists 0,3,6,7 would be transmitted
	  with 0-11 all filled in. There was also an extra nested loop with the same
	  iteration criteria that needed to be removed.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9505>

2025-12-08 12:19:19 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/vulkan/vkav1dec.c:
	* ext/vulkan/vkh264dec.c:
	* ext/vulkan/vkh265dec.c:
	* ext/vulkan/vkvp9dec.c:
	  vulkan: decoders: fallback to video decoder's decide_allocation()
	  As in !10297 Vulkan image buffer pool isn't allocated but a video decoder plain
	  buffer pool, which is less expensive than the Vulkan one, and it will be
	  de-allocated shortly afterwards.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10324>

2025-12-08 12:14:11 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/vulkan/vkav1dec.c:
	  vulkanav1dec: renegotiate after events
	  Missed condition when AV1 decoding was merged, while it was merged for H.264 and
	  H.265: !9560 and VP9 was merged initially with it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10324>

2025-12-04 16:40:25 -0600  Brad Reitmeyer <brad.reitmeyer@resi.io>

	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklinkvideosink: Fix frame completion callbacks for firmware 14.3+
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10295>

2025-12-06 10:25:21 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/transportstream.c:
	* gst-libs/gst/webrtc/nice/nice.c:
	  webrtc: Keep a ref of the ICEStream in the TransportStream
	  By doing so we avoid potential race conditions. The libnice ICE implementation
	  was then adapted to comply with the transfer-full return value of the
	  `gst_webrtc_ice_add_stream()` vfunc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10312>

2025-12-05 17:16:05 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcserver.cpp:
	  win32ipc: Enhance I/O cancel sequence
	  Waits for pending I/O before releasing overlap struct to avoid
	  potential use-after-free
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-04 22:16:32 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcbasesink.cpp:
	* sys/win32ipc/gstwin32ipcbasesink.h:
	* sys/win32ipc/gstwin32ipcbufferpool.cpp:
	* sys/win32ipc/gstwin32ipcclient.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.h:
	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcserver.h:
	* sys/win32ipc/gstwin32ipcsink.cpp:
	* sys/win32ipc/gstwin32ipcsink.h:
	* sys/win32ipc/gstwin32ipcsrc.cpp:
	* sys/win32ipc/gstwin32ipcsrc.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/meson.build:
	* sys/win32ipc/plugin.cpp:
	  win32ipc: Add generic shared memory src/sink elements
	  Adding win32ipcsink and win32ipcsrc element which supports any
	  type of streams in addition to raw video
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-04 19:47:29 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcbasesink.cpp:
	* sys/win32ipc/gstwin32ipcbasesink.h:
	* sys/win32ipc/gstwin32ipcbasesrc.cpp:
	* sys/win32ipc/gstwin32ipcbasesrc.h:
	* sys/win32ipc/gstwin32ipcclient.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.h:
	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcserver.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/gstwin32ipcvideosink.h:
	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	* sys/win32ipc/gstwin32ipcvideosrc.h:
	* sys/win32ipc/meson.build:
	  win32ipc: Add baseclass implementation
	  Extract common logic from video elements
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-04 17:37:11 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcclient.cpp:
	* sys/win32ipc/gstwin32ipcmemory.cpp:
	* sys/win32ipc/gstwin32ipcmemory.h:
	* sys/win32ipc/gstwin32ipcmmf.cpp:
	* sys/win32ipc/gstwin32ipcmmf.h:
	* sys/win32ipc/gstwin32ipcprotocol.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.h:
	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	  win32ipc: Use SIZE_T for allocation size representation
	  ... instead of UINT32.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-04 15:51:08 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcserver.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	  win32ipcvideosink: Enhance EOS sequence
	  Fully drain queued buffers on EOS
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-04 12:49:28 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcclient.cpp:
	* sys/win32ipc/gstwin32ipcclient.h:
	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	  win32ipcvideosrc: Add leaky-type and {max, current-level}-buffers properties
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-03 19:28:54 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipc.cpp:
	* sys/win32ipc/gstwin32ipc.h:
	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcserver.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/meson.build:
	  win32ipcvideosink: Add leaky-type and {max, current-level}-buffers properties
	  Allows blocking streaming thread when clients are not consuming
	  incoming buffers fast enough
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-03 17:32:36 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcmemory.cpp:
	  win32ipcmemory: Refactor memory allocator
	  Use mutex/cond instead of GstPoll
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-12-02 19:16:06 +0900  Seungha Yang <seungha@centricular.com>

	* sys/win32ipc/gstwin32ipcclient.cpp:
	* sys/win32ipc/gstwin32ipcclient.h:
	* sys/win32ipc/gstwin32ipcmemory.cpp:
	* sys/win32ipc/gstwin32ipcmemory.h:
	* sys/win32ipc/gstwin32ipcmmf.cpp:
	* sys/win32ipc/gstwin32ipcmmf.h:
	* sys/win32ipc/gstwin32ipcprotocol.cpp:
	* sys/win32ipc/gstwin32ipcprotocol.h:
	* sys/win32ipc/gstwin32ipcserver.cpp:
	* sys/win32ipc/gstwin32ipcserver.h:
	* sys/win32ipc/gstwin32ipcutils.cpp:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	* sys/win32ipc/meson.build:
	* sys/win32ipc/protocol/win32ipcmmf.cpp:
	* sys/win32ipc/protocol/win32ipcmmf.h:
	* sys/win32ipc/protocol/win32ipcpipeclient.cpp:
	* sys/win32ipc/protocol/win32ipcpipeclient.h:
	* sys/win32ipc/protocol/win32ipcpipeserver.cpp:
	* sys/win32ipc/protocol/win32ipcpipeserver.h:
	* sys/win32ipc/protocol/win32ipcprotocol.cpp:
	* sys/win32ipc/protocol/win32ipcprotocol.h:
	* sys/win32ipc/protocol/win32ipcutils.cpp:
	* sys/win32ipc/protocol/win32ipcutils.h:
	  win32ipc: Rewrite plugin
	  Pre-work to support a generic IPC element in addition to the existing
	  raw-video specific elements.
	  Summary of changes:
	  * Use an unnamed MMF handle with DuplicateHandle() instead of a named
	  handle to prevent unintended access from other processes via
	  name-based handle opening
	  * Refactor server/client implementation based on the D3D12 IPC element
	  design
	  * Replace the previous custom data struct with GstCaps and GstMeta to
	  describe video format and memory layout
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10296>

2025-07-03 14:35:21 +0200  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsobjectdetectionmtd.c:
	* gst-libs/gst/analytics/gstanalyticssegmentationmtd.c:
	  analytics segmentation: Implement vidoe matrix meta transformation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9497>

2025-05-18 11:59:08 +0200  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsmeta.c:
	* gst-libs/gst/analytics/gstanalyticsobjectdetectionmtd.c:
	  analytics od mtd: Implement matrix meta transformation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9497>

2025-12-05 09:19:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/va/gstvabasedec.c:
	  vabasedec: Don't assert when negotiating based on a gap event before the first buffer
	  Instead fall back to the video decoder base class `decide_allocation()` until
	  the minimum number of required buffers is known, which is usually the case after
	  the codec parameters (sequence header) are read.
	  While the minimum number of buffers is known ahead of time for some codecs like AV1,
	  we still only set it once the codec parameters are parsed as otherwise an unused
	  VA buffer pool will already be created together with surface allocations for the
	  gap event. This pool will be deallocated again shortly afterwards, just to
	  create a new pool with the correct configuration.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4779
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10297>

2025-12-04 20:10:59 +0100  Mathieu Duponchelle <mathieu@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	  gst-plugins-bad: update plugins cache
	  - correction for yolotensordec doc
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-28 14:17:07 -0600  Olivier Crête <olivier.crete@collabora.com>

	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.c:
	  tensordecoder: Add caps to Yolo decoders
	  - Tensor caps added
	  - Rename yolotensordec to yolov8tensordec. This reflects that this tensor is different for older versions.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-28 12:17:29 -0600  Olivier Crête <olivier.crete@collabora.com>

	* gst/tensordecoders/gstclassifiertensordecoder.c:
	* gst/tensordecoders/gstioutracker.c:
	* gst/tensordecoders/gstssdobjectdetector.c:
	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.c:
	  tensordecoder: Fix metadata long name to be more explicit
	  - For all tensor decoders
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-22 21:35:17 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstclassifiertensordecoder.c:
	* gst/tensordecoders/gstclassifiertensordecoder.h:
	  tensordecoder: refactor classifiertensordecoder to support both softmaxed and non-softmaxed tensors
	  This architecture separates negotiation concerns from processing, improving efficiency and code clarity.
	  - Add constraints on tensor caps
	  - Add validation between between model loaded vs label labels files
	  - Make classifier generic (not assuming a 1000 classes)
	  - Fixed mismatch return type
	  - improve error handling in classification
	  - Warn if no label found from labels file
	  - Separate tensor groups: Define GROUP_ID_CLASSIFICATION and
	  GROUP_ID_CLASSIFICATION_SOFTMAXED as distinct tensor groups, as they represent
	  different tensor formats that don't belong to the same group.
	  - Enhanced caps template: Updated sink pad caps to support both tensor formats
	  using a LIST, allowing the decoder to negotiate with either type.
	  - Cache negotiation result: Added do_softmax member variable to cache whether
	  softmax processing is needed, determined once during set_caps based on the
	  negotiated tensor-id rather than checking at runtime.
	  - Renamed softmax_res to postproc_result: Better reflects dual usage for both
	  softmax computation and uint8-to-float conversion. Always allocated since
	  it's needed for uint8 conversion even when tensors are pre-softmaxed.
	  - Optimized tensor retrieval: get_tensor() now only searches for the specific
	  tensor-id that was negotiated, rather than trying both types.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-22 21:21:50 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstssdobjectdetector.c:
	  tensordecoder: refactor ssd tensordecoder
	  - ssd:Add constrains on tensor caps
	  - ssd:Update ssd tensor-decoder to follow ids from tensor id registry
	  - ssd:Add constrains on tensor caps
	  - ssd:Explicit batch of 1: dims=<(int)1, (int)[1,max]>
	  - ssd:Implicit batch of 1: dims=<(int)[1,max]>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-22 21:19:01 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gstfacedetectortensordecoder.c:
	  tensordecoder: refactor facedetector tensordecoder
	  - Add constrains on tensor caps
	  - Downgrade tensordecoder's rank non accelerated to secondary
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-28 11:42:07 -0500  Daniel Morin <daniel.morin@collabora.com>

	* gst/tensordecoders/gsttensordecodebin.c:
	* gst/tensordecoders/gsttensordecodebin.h:
	* gst/tensordecoders/gsttensordecoders.c:
	* gst/tensordecoders/meson.build:
	  tensordecoder: Add tensordecoderbin
	  - Adding a tensordecodebin able to auto-plug the correct tensor-decoder
	  - Add tensordecodebin to tensordecoders plugin
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-10-14 14:09:30 -0400  Daniel Morin <daniel.morin@collabora.com>

	* ext/tflite/gsttfliteinference.c:
	  tflite: adding tensor caps
	  - tflite_inference now generate tensor caps.
	  - name model_incaps and model_outcaps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-10-14 00:12:53 -0400  Daniel Morin <daniel.morin@collabora.com>

	* ext/tflite/modelinfo.c:
	* ext/tflite/modelinfo.h:
	  analytics: add method to retrive group-id from modelinfo
	  - Adding modelinfo_get_quark_group_id
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2025-11-26 20:53:35 -0500  Daniel Morin <daniel.morin@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnx: Add tensor capabilities support to gstonnxinference
	  This commit enhances the gstonnxinference element by introducing comprehensive
	  tensor capabilities support, enabling better negotiation between the inference
	  element and downstream tensor decoders.
	  Key Changes:
	  - Implement tensor capabilities description mechanism
	  - Improve caps negotiation and propagation
	  Detailed Modifications:
	  - Disable passthrough mode to control tensor caps propagation
	  - Extract group-id from ONNX model metadata
	  - Create tensor capabilities structure with:
	  * Dimensions order (row-major)
	  * Tensor dimensions
	  * Tensor identifier
	  * Data type information
	  - Build GstSet of tensor capabilities under the group-id
	  - Utilize gst_tensor_meta_set() for robust meta handling
	  - Update transform_caps() to handle tensor capabilities in SINK and SRC pads
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9109>

2021-10-22 11:09:07 -0500  Diego Nieto <dnieto@fluendo.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/meson.build:
	* ext/vmaf/gstvmafelement.c:
	* ext/vmaf/gstvmafelement.h:
	* ext/vmaf/gstvmafplugin.c:
	* ext/vmaf/meson.build:
	* meson.options:
	* tests/check/elements/vmaf.c:
	* tests/check/gst-plugins-bad.supp:
	* tests/check/meson.build:
	  vmaf: add new element to calculate VMAF scores
	  Introduces the `vmaf` element, which calculates video quality scores by
	  comparing a reference stream against a distorted stream.
	  The plugin is coded against the libvmaf 2.0 API. As such it requires that
	  libvmaf => 2.0 be installed for the plugin to compile.
	  Scores can be retrieved via 2 methods:
	  1. Message Bus: Emits messages containing "VMAF.type" (distinguished as
	  "MESSAGE_TYPE_FRAME" or "MESSAGE_TYPE_POOLED").
	  2. File Output: Writes results to disk in CSV, JSON, or XML formats by
	  setting the "results-filename" property.
	  Co-authored-by: Andoni Morales Alastruey <amorales@fluendo.com>
	  Co-authored-by: Casey Bateman <Casey.Bateman@hudl.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9757>

2025-12-04 10:34:03 +0200  Sebastian Dröge <sebastian@centricular.com>

	* ext/closedcaption/gstcea708decoder.c:
	* ext/closedcaption/gstcea708decoder.h:
	* ext/closedcaption/gstceaccoverlay.c:
	* ext/closedcaption/gstceaccoverlay.h:
	* ext/meson.build:
	* gst/closedcaption/bcd.h:
	* gst/closedcaption/bit_slicer.c:
	* gst/closedcaption/bit_slicer.h:
	* gst/closedcaption/ccutils.c:
	* gst/closedcaption/ccutils.h:
	* gst/closedcaption/decoder.c:
	* gst/closedcaption/decoder.h:
	* gst/closedcaption/gstcccombiner.c:
	* gst/closedcaption/gstcccombiner.h:
	* gst/closedcaption/gstccconverter.c:
	* gst/closedcaption/gstccconverter.h:
	* gst/closedcaption/gstccextractor.c:
	* gst/closedcaption/gstccextractor.h:
	* gst/closedcaption/gstcea608mux.c:
	* gst/closedcaption/gstcea608mux.h:
	* gst/closedcaption/gstclosedcaption.c:
	* gst/closedcaption/gstcodecccinserter.c:
	* gst/closedcaption/gstcodecccinserter.h:
	* gst/closedcaption/gsth264ccextractor.c:
	* gst/closedcaption/gsth264ccextractor.h:
	* gst/closedcaption/gsth264ccinserter.c:
	* gst/closedcaption/gsth264ccinserter.h:
	* gst/closedcaption/gsth264reorder.c:
	* gst/closedcaption/gsth264reorder.h:
	* gst/closedcaption/gsth265ccextractor.c:
	* gst/closedcaption/gsth265ccextractor.h:
	* gst/closedcaption/gsth265ccinserter.c:
	* gst/closedcaption/gsth265ccinserter.h:
	* gst/closedcaption/gsth265reorder.c:
	* gst/closedcaption/gsth265reorder.h:
	* gst/closedcaption/gstline21dec.c:
	* gst/closedcaption/gstline21dec.h:
	* gst/closedcaption/gstline21enc.c:
	* gst/closedcaption/gstline21enc.h:
	* gst/closedcaption/hamm.h:
	* gst/closedcaption/io-sim.c:
	* gst/closedcaption/io-sim.h:
	* gst/closedcaption/macros.h:
	* gst/closedcaption/meson.build:
	* gst/closedcaption/misc.h:
	* gst/closedcaption/raw_decoder.c:
	* gst/closedcaption/raw_decoder.h:
	* gst/closedcaption/sampling_par.c:
	* gst/closedcaption/sampling_par.h:
	* gst/closedcaption/sliced.h:
	* gst/meson.build:
	* meson.options:
	* tests/check/meson.build:
	  closedcaption: Remove cc708overlay
	  It was deprecated and cea708overlay from gst-plugins-rs is the replacement.
	  Fixes https://gitlab.freedesktop.org/gstreamer/gstreamer/-/issues/4207
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10285>

2025-12-04 12:57:26 +0800  Yun Liu <yun.m.liu@intel.com>

	* gst-libs/gst/analytics/meson.build:
	  analytics: Fix build on MSVC by using libm dependency
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10283>

2025-12-02 17:52:34 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/midi/midiparse.c:
	  midiparse: Fix a couple of potential out-of-bounds reads
	  Also use an unsigned integer for parsing variable length integers as shifting
	  bits out of the sign bit is undefined behaviour.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10276>

2022-04-01 05:54:29 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/gstbasetsmux.c:
	  mpegtsmux: Fix potential deadlock changing pmt-interval
	  The object lock is the innermost lock. Don't take
	  the mux->lock while holding it.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10261>

2025-11-28 15:12:37 +0200  Vivia Nikolaidou <vivia@ahiru.eu>

	* gst/mxf/mxfmpeg.c:
	  mxfmpeg: Add custom Sony picture essence coding UL
	  Sony seems to use 06.0e.2b.34.04.01.01.03.0e.06.41.02 as prefix for
	  their custom picture essence codings, and specifically the MPEG one
	  potentially uses the same semantics.
	  This comes from a file with:
	  picture essence coding 06.0e.2b.34.04.01.01.03.0e.06.41.02.01.04.03.01
	  codec 00.00.00.00.00.00.00.00.00.00.00.00.00.00.00.00
	  essence container 06.0e.2b.34.04.01.01.02.0d.01.03.01.02.04.60.01
	  which seemed to be XDCAM, aka decodable as MPEG-2.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10219>

2025-10-08 02:31:50 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlbasesink.c:
	* ext/curl/gstcurldefaults.h:
	* ext/curl/gstcurlhttpsink.c:
	* ext/curl/gstcurlhttpsrc.c:
	  curl: Ensure set_opt() is called with a long value
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2025-03-16 20:23:48 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlhttpsrc.c:
	  curl: Fix pushing incorrect buffers after seek
	  We must stop any existing transfer when seeking or we may push buffers
	  from the old request that downstream isn't expecting, causing decode errors.
	  Fixes: https://gitlab.freedesktop.org/gstreamer/gst-plugins-base/-/issues/579
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2025-03-16 20:17:58 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlhttpsrc.c:
	  curl: Cleanup logging of received headers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2021-05-11 23:54:49 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlhttpsrc.c:
	  curl: Fix content size reported
	  During a range request, the Content-Length header only reports the
	  length transfered. The Content-Range header should report the total
	  length if known. The current code would inconsistently use either
	  or race and use the wrong length.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2021-05-11 23:58:54 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlhttpsrc.c:
	* ext/curl/gstcurlhttpsrc.h:
	  curl: remove unused content_type field
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2021-05-08 21:23:46 -0400  Doug Nazar <nazard@nazar.ca>

	* ext/curl/gstcurlhttpsrc.c:
	* tests/check/elements/curlhttpsrc.c:
	  curl: Reset request status on uri change
	  We need to stop the current transfer and start a new one if the uri
	  was changed. Also fix the 'test_range_get' to do 20 requests, instead
	  of one request and 19 seeks past EOS.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/5537>

2025-12-01 18:04:15 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfvanc.c:
	  mxfmux: Create empty edit units for VANC packets without content or gap events
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10256>

2025-12-01 13:00:14 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  tsdemux: Consider DTS in private streams as audio instead of private
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10249>

2025-12-01 12:53:46 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mpegtsdemux/tsdemux.c:
	  streams: Add GST_STREAM_TYPE_METADATA for metadata streams
	  And handle it inside parsebin and tsdemux.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10249>

2025-11-26 14:28:33 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/vulkan/vkviewconvert.c:
	  vulkan: zero-initialize ViewUpdate before use
	  Ensure ViewUpdate struct is fully initialized to avoid copying
	  uninitialized fields when writing to uniform buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10200>

2025-12-01 13:57:20 +0900  Seungha Yang <seungha@centricular.com>

	  asiodeviceprovider: Fix deadlock on stop
	  Ensure that main loop is fully running during start() to avoid
	  below deadlock sequence
	  * GstDeviceProvider::start() spawns a background thread
	  * GstDeviceProvider::stop() is called before the background thread
	  actually starts running the main loop
	  * g_main_loop_quit() is invoked, but since the main loop has not
	  started yet, it has no effect
	  * stop() waits for the background thread to join
	  * The background thread eventually starts the main loop on the
	  background thread
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10245>

2025-11-30 19:22:03 +0100  David Maseda Neira <david.maseda@cinfo.es>

	* sys/nvcodec/gstnvh264encoder.cpp:
	* sys/nvcodec/gstnvh265encoder.cpp:
	  nvcodec: Enable num-slices property on nvh26{4,5}enc to force number of output slices
	  Adds a new num-slices property (range 0-32, default 0) to both nvh264enc
	  and nvh265enc encoders to control the number of slices per frame. This
	  ensures compatibility with hardware decoders that require exactly 1
	  slice per NAL unit.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10242>

2025-11-21 15:22:54 +0100  Robert Mader <robert.mader@collabora.com>

	* ext/wayland/gstwaylandsink.c:
	  waylandsink: Promote set_caps debug print to info
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-03 16:11:56 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	  gtkwaylandsink: Add VideoCropMeta support
	  Implement support for the crop meta, this allow offloading the crop to the
	  compositor
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-03 16:05:15 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/gtk/gstgtkwaylandsink.c:
	  gtkwaylandsink: De-duplicate frame copy code
	  Regardless if we have a Dumb or a SHM, the copy code is identical. Factor this
	  code so it can be shared.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-03 15:51:39 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/wayland/gstwaylandsink.c:
	* ext/wayland/gstwaylandsink.h:
	  waylandsink: Add VideoCropMeta support
	  Implement support for the crop meta, this allow offloading the crop to the
	  compositor.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-03 15:28:29 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/wayland/gstwaylandsink.c:
	  waylandsink: De-duplicate frame copy code
	  Regardless if we have a Dumb or a SHM, the copy code is identical. Factor this
	  code so it can be shared.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-03 15:34:47 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/wayland/gstwlwindow.c:
	  wayland: window: Add the ability to offload cropping
	  This add a new method on the GstWlWindow that allows to offload a crop
	  rectangle.
	  Co-authored-by: Robert Mader <robert.mader@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-11-17 17:04:18 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/wayland/gstwlbuffer.c:
	* gst-libs/gst/wayland/gstwlbuffer.h:
	  wayland: buffer: Add getters for video and crop meta
	  This will be used by the GstWlWindow to calculate the source rectangle to crop
	  the surface to.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9991>

2025-12-01 17:58:22 +0200  Sebastian Dröge <sebastian@centricular.com>

	* gst/mxf/mxfmux.c:
	  mxfmux: Fix memset usage
	  This was supposed to clear the local, stack-allocated struct and not set another
	  pointer to NULL in a complicated way.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10254>

2025-11-26 14:17:14 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/vulkan/vkcolorconvert.c:
	  vulkan: initialize YUVUpdateData before memcpy
	  Ensure YUVUpdateData is fully initialized to avoid copying
	  uninitialized fields when writing to uniform buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10199>

2025-11-28 21:08:17 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Add lower resolution limits for h264, h265, av1 caps
	  In my testing, these are the lowest resolution values that
	  VideoToolbox can decode for each of these codecs.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9448>

2025-07-24 21:54:59 +0200  Rafael Caricio <rcaricio@netflix.com>

	* sys/applemedia/helpers.h:
	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: Support AV1 hardware decoding
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9448>

2025-10-27 14:19:34 +0000  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/vtdec.c:
	* sys/applemedia/vtdec.h:
	  vtdec: add VP9 decode support
	  - Only profile 0 and 2 (10-bits) work. Others allow creating the
	  decompression session but cause per-frame failures, so I'm
	  explicitly disabling them in caps.
	  - 64x64 is the minimum supported resolution. Limiting with caps for
	  same reason as above.
	  - API to enable supplemental codecs for iOS appeared in 26.2. vp9
	  doesn't work before this.
	  - Lifting VTRegisterSupplementalVideoDecoderIfAvailableFunc via dlsym
	  on iOS in case GStreamer is built with an older SDK.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10175>

2025-11-21 15:48:05 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/vtdec.c:
	  vtdec: Fix race condition in decoder draining. Fluster runs were unstable
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10229>

2024-01-10 09:30:51 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/tensordecoders/gsttensordecoders.c:
	* gst/tensordecoders/gstyolosegtensordecoder.c:
	* gst/tensordecoders/gstyolosegtensordecoder.h:
	* gst/tensordecoders/gstyolotensordecoder.c:
	* gst/tensordecoders/gstyolotensordecoder.h:
	* gst/tensordecoders/meson.build:
	  tensordecoders: Add tensor decoder element for yolo detection and segmentation models
	  A new set of tensor decoder that handles YOLO v5+ object detection and
	  YOLO v8+ segmentation.
	  `yolotensordecoder`: decodes tensors output(masks) from detection-only
	  models e.g yolov8s.onnx
	  `yolsegv8tensordecoder`: decoder tensors output(masks and logits) from
	  segementation models e.g FastSAM or yolov8s-seg
	  Co-authored-by: Vineet Suryan <vineet.suryan@collabora.com>
	  Co-authored-by: Santosh Mahto <santosh.mahto@collabora.com>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8652>

2025-11-26 13:32:51 -0500  Xavier Claessens <xclaessens@netflix.com>

	* gst/unixfd/gstunixfdsink.c:
	  unixfd: Fix pointer casting on 32bit arch
	  Fixes: #4766
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10212>

2025-11-25 12:55:21 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1enc.c:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvajpegenc.c:
	* sys/va/gstvavp8enc.c:
	* sys/va/gstvavp9enc.c:
	  va: simplify encoder's reconfig() virtual method
	  By using the new gst_va_encoder_open(), which closes it if a previous
	  incompatible configuration exists.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10115>

2025-11-13 14:08:33 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	* sys/va/gstvah265enc.c:
	  vah265enc: use new VA encoder setup()/open_2() API
	  This patch also contains the add of a refactor get_surface_alignment() in
	  GstVaEncoder helper, which before created a synthetic VAConfig to get the
	  surface alignment.
	  Now, with the API split we can call get_surface_alignment() after setup() and
	  before open_2() without the need of a synthetic VAConfig.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10115>

2025-11-13 12:24:54 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  vaencoder: split open() in setup() and open_2()
	  Still keep open() for backward compatibility as a composite of both new
	  functions.
	  setup() -> creates VA config
	  open_2() -> creates VA context
	  The reason to use open_2() is because there's a close() and we should keep the
	  API symmetry.
	  It adds an internal function is_setup() to do a fine check of what is needed by
	  every other method.
	  Fixes #3393
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10115>

2025-11-13 11:55:34 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  vaencoder: add gst_va_encoder_set_coded_buffer_size()
	  So encoding elements could update the coded buffer size after opened the encoder
	  helper object.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10115>

2025-11-12 18:06:18 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	  vaencoder: allow lazy initialization for reconstruct buffers pool
	  Right now the open() method still creates the reconstruct buffer pool, but this
	  patch also allows its lazy creation.
	  Also the patch adds a namespaces for those member variables related only with
	  the reconstruct buffer pool.
	  And adds the function gst_va_encoder_set_reconstruct_pool_config(), that will
	  be used when an another alternative to the open() member is added in future
	  commits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10115>

2025-11-26 14:41:35 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/avfassetsrc.m:
	  avfassetsrc: Explain how invalid ts and position should interact
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10197>

2025-11-26 12:18:26 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/avfassetsrc.m:
	  avfassetsrc: Better invalid timestamp handling and reporting
	  Now, invalid CMTime coming from AVFoundation will be properly
	  converted to GST_CLOCK_TIME_NONE (for buffer timestamp, buffer
	  duration and overall duration). And we no longer consider an
	  invalid buffer timestamp as a irrecoverable error, but just log the
	  problem instead.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10197>

2025-11-25 14:21:01 -0500  Dominique Leroux <dominique.p.leroux@gmail.com>

	* sys/applemedia/avfassetsrc.m:
	  avfassetsrc: Prevent access to released CMSampleBuffer
	  When the video sample buffers obtained from AVAssetReaderTrackOutput
	  contain data with line padding that differs from what GStreamer expects
	  (checked with GST_VIDEO_INFO_PLANE_STRIDE in
	  gst_core_video_wrap_pixel_buffer in corevideobuffer.c),
	  gst_core_media_buffer_new ends up creating a new GstBuffer with proper
	  layout and copying the original buffer content into the new buffer.
	  This means the original CMSampleBuffer gets released before we get to
	  the point where we access it to extract time information. So the comment
	  saying "cmbuf is now retained by buf (in meta)" (in avfassetsrc.c
	  nextBuffer) was not always right. But it was helpful in making me want
	  to see whether this was always true.
	  The code was reformulated to avoid having to rely on side effects, while
	  preserving a single call to CFRelease. The problem would have been more
	  obvious if there had been timestamp validation, so this is now
	  done. Frame duration will not systematically be valid (only timetamp has
	  to); therefore, invalid duration will not be used but will also not be
	  flagged as an error.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10197>

2025-11-27 01:19:01 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/asio/gstasiodeviceprovider.cpp:
	* sys/asio/meson.build:
	  asio: Add compile-time detection for device monitoring support
	  Older versions of MinGW 32-bit, such as the one that we ship in
	  Cerbero, do not support CM_Register_Notification etc.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9663>

2025-09-08 21:13:14 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/wasapi2/gstwasapi2util.cpp:
	  wasapi2: Fix some typos
	  Also convert an informative LOG to INFO
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9663>

2025-09-09 13:49:53 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/asio/gstasiodeviceprovider.cpp:
	  asio: Add a separate debug category for the device provider
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9663>

2025-09-09 09:05:44 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/asio/gstasiodeviceprovider.cpp:
	* sys/asio/meson.build:
	  asio: Implement device monitoring using USB events
	  ASIO doesn't provide a way to monitor for device registration
	  / disconnect, so we need to re-probe all the devices every time we get
	  a USB event.
	  We aggregate USB events by delaying the probe till 500ms have passed
	  since the last USB plug/unplug event.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9663>

2024-07-24 09:11:49 +0800  Shengqi Yu (喻盛琪) <shengqi.yu@mediatek.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/unixfd/gstunixfdsink.c:
	  unixfdsink: add and notify clients-number
	  1. Add the client-number property.
	  2. When the number of clients increases or decreases, notify the client-number property.
	  This way, the app can know the current number of client connections based on the notification information,
	  allowing it to perform other operations, such as setting the server pipeline to NULL state when
	  there are no client connections.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7224>

2025-11-25 19:42:15 -0500  Xavier Claessens <xclaessens@netflix.com>

	* sys/aja/gstajasrc.cpp:
	  ajasrc: Rename variable to match gst_clock_is_system_monotonic()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8257>

2025-01-08 09:29:13 -0500  Xavier Claessens <xclaessens@netflix.com>

	* gst/unixfd/gstunixfdsink.c:
	* gst/unixfd/gstunixfdsrc.c:
	* sys/aja/gstajasrc.cpp:
	* sys/d3d11/gstd3d11ipc.cpp:
	* sys/d3d11/gstd3d11ipc.h:
	* sys/d3d11/gstd3d11ipcsink.cpp:
	* sys/d3d11/gstd3d11ipcsrc.cpp:
	* sys/d3d12/gstd3d12ipc.cpp:
	* sys/d3d12/gstd3d12ipc.h:
	* sys/d3d12/gstd3d12ipcsink.cpp:
	* sys/d3d12/gstd3d12ipcsrc.cpp:
	* sys/nvcodec/gstcudaipc.cpp:
	* sys/nvcodec/gstcudaipc.h:
	* sys/nvcodec/gstcudaipcsink.cpp:
	* sys/nvcodec/gstcudaipcsrc.cpp:
	* sys/win32ipc/gstwin32ipcutils.cpp:
	* sys/win32ipc/gstwin32ipcutils.h:
	* sys/win32ipc/gstwin32ipcvideosink.cpp:
	* sys/win32ipc/gstwin32ipcvideosrc.cpp:
	  GstClock: Add gst_clock_is_system_monotonic_clock
	  It was duplicated in many places and can be useful outside of GStreamer
	  as well.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8257>

2025-06-20 13:12:06 +0530  santosh mahto <santoshbit2007@gmail.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/tensordecoders/gstioutracker.c:
	* gst/tensordecoders/gstioutracker.h:
	* gst/tensordecoders/gsttensordecoders.c:
	* gst/tensordecoders/meson.build:
	* tests/check/elements/ioutracker.c:
	* tests/check/meson.build:
	  tensordecoders: Implement IoU based tracker element
	  `ioutracker` element tracks objects in video frames
	  It uses object detection mtds to get the position and
	  detects the same object in next frame based on
	  Intersection-over-Union (IoU).  Based on this, it attaches
	  tracking mtd to buffer
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9274>

2025-11-24 10:55:09 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvadisplay_priv.c:
	  vadisplay-priv: re-use log category from va plugin
	  Reuse this log category because is first created.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10192>

2025-11-19 13:47:24 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: remove extra call to get VA display
	  And precise the parameter type as VABufferType.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10192>

2025-11-04 17:36:42 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecparsers/gsth266parser.c:
	  codecparsers: h266parser: fix documentation and parameter check
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10180>

2024-08-12 11:52:40 +0200  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/codecs/gstav1decoder.c:
	* gst-libs/gst/codecs/gstcodecpicture.c:
	* gst-libs/gst/codecs/gstvp9decoder.c:
	* gst-libs/gst/codecs/gstvp9statefulparser.c:
	  codecs: simple documentation fixes
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10180>

2025-10-30 13:20:47 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* gst-libs/gst/vulkan/gstvkphysicaldevice.c:
	  vkphysicaldevice: fix GI documentation
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10180>

2025-11-11 12:48:59 +0100  Sven Püschel <s.pueschel@pengutronix.de>

	* sys/uvcgadget/gstuvcsink.c:
	  uvcsink: add VYUY mapping
	  The mapping was copied from plugins good [1]. At the time of the copy it
	  missed the VYUY mapping, therefore add it now.
	  [1] https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6037#note_2573767
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10070>

2025-01-21 13:32:02 -0500  Daniel Morin <daniel.morin@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	* ext/analyticsoverlay/gstanalyticsoverlay.c:
	* ext/analyticsoverlay/gstsegmentationoverlay.c:
	* ext/analyticsoverlay/gstsegmentationoverlay.h:
	* ext/analyticsoverlay/meson.build:
	  analyticsoverlay: add a segmentation overlay
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/7149>

2025-11-24 18:58:43 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosink.cpp:
	  decklinkvideosink: Add some debug output for writing ancillary data
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10182>

2025-11-19 15:01:40 -0600  Olivier Crête <olivier.crete@collabora.com>

	* gst/tensordecoders/gstssdobjectdetector.c:
	  ssdobjectdetector: Print class index
	  Print the class index, this helps debugging labels lists.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-19 15:23:33 -0600  Olivier Crête <olivier.crete@collabora.com>

	* gst/tensordecoders/gstclassifiertensordecoder.c:
	  classifiertensordecoder: Print clearer message when setting wrong labels file
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-19 15:23:10 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Remove unused mean/stddev default values
	  The arrays are always set
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-19 15:03:52 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Read mean/stddev from Image.NominalPixelRange metadata
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-19 15:02:56 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	* ext/tflite/gsttfliteinference.c:
	  tflite & onnxinference: Substract means
	  This makes them work like everyone else.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-18 18:13:07 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Remove pointless arguments to macro
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-18 18:12:12 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Correctly pass planarity of input tensor
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-18 16:11:28 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Mark dimension meaning explicitly
	  This makes the code more correct, as it make some incorrect assumptions
	  in some places.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-17 11:24:06 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Put more error details from the ONNX Runtime
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-15 13:28:50 -0600  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Create environment before using more APIs
	  This call has the side effect of enabling the onnxrt logging system,
	  so we must do it earlier
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-11-13 14:55:52 -0500  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Split the ONNX runtime debug from the element's
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-10-31 18:51:14 +0000  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Avoid deadlocking on startup error
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-10-31 18:51:02 +0000  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	  onnxinference: Hard fail when selected provider is not available
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-08-08 15:16:02 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/onnx/gstonnxinference.c:
	* ext/onnx/meson.build:
	  onnxinference: Remove explicit CPU execution provider setting
	  It's the default, and this one it avoid having to load the header file
	  which isn't always installed in the same place.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10143>

2025-02-15 12:45:05 +0000  Philippe Normand <philn@igalia.com>

	* ext/webrtc/gstwebrtcstats.c:
	* gst-libs/gst/webrtc/ice.c:
	* gst-libs/gst/webrtc/ice.h:
	* gst-libs/gst/webrtc/icetransport.c:
	* gst-libs/gst/webrtc/icetransport.h:
	* gst-libs/gst/webrtc/nice/nice.c:
	* gst-libs/gst/webrtc/nice/nicetransport.c:
	* gst-libs/gst/webrtc/nice/niceutils.h:
	* gst-libs/gst/webrtc/webrtc_fwd.h:
	  webrtc: ice: Add support for getting the selected candidate pair
	  Expose a `gst_webrtc_ice_transport_get_selected_candidate_pair()` function
	  corresponding to the RTCIceTransport spec's `getSelectedCandidatePair()`. See
	  also
	  https://w3c.github.io/webrtc-pc/#dom-rtcicetransport-getselectedcandidatepair
	  This new function should be used instead of `gst_webrtc_ice_get_selected_pair()`
	  which is now deprecated.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/8484>

2025-07-09 10:08:38 +0200  Rinat Zeh <rinat.zeh@i-rz.de>

	* ext/meson.build:
	* ext/mpeghdec/gstmpeghdec.c:
	* ext/mpeghdec/gstmpeghdec.h:
	* ext/mpeghdec/meson.build:
	* meson.options:
	  mpeghdec: MPEG-H Audio decoder plugin
	  MPEG-H Audio decoder plugin based on Fraunhofer GitHub MPEG-H
	  decoder implementation (https://github.com/Fraunhofer-IIS/mpeghdec)
	  Co-authored-by: Florian Kolbeck <florian.kolbeck@i-rz.de>
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9361>

2025-11-21 10:59:14 +0100  Hyunjun Ko <zzoon@igalia.com>

	* gst-libs/gst/vulkan/gstvkvideo-private.c:
	* gst-libs/gst/vulkan/gstvkvideo-private.h:
	  vkvideo-private: Replace GstBuffer with GstMemory array for video sessions
	  GstBuffer has a maximum limit on the number of memories it can hold
	  (GST_BUFFER_MEM_MAX, typically 16). However, Vulkan video sessions
	  can require more memories than this limit - for example, AV1 decoding
	  on ANV requires over 30 memories.
	  This fixes AV1 decoding on ANV and any other scenarios where video
	  sessions require more than 16 memory allocations.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10169>

2025-11-20 14:04:59 +0100  Hyunjun Ko <zzoon@igalia.com>

	* gst-libs/gst/vulkan/gstvkvideo-private.c:
	  vkvideo-private: fix to use correct index for picking a memory type
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10169>

2025-11-21 11:43:13 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosrc.cpp:
	  decklinkvideosrc: Don't add parity bits to the line number in GstAncillaryMeta
	  It's an 11 bit value without parity bits.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10167>

2025-11-21 11:41:41 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/aja/gstajasink.cpp:
	  ajasink: Remove parity bits from ancillary meta DID/SDID before passing further
	  The GstAncillaryMeta contains the parity bits but the AJA SDK expects them
	  without.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10167>

2025-11-20 13:48:16 +0100  Hyunjun Ko <zzoon@igalia.com>

	* ext/vulkan/vkh265dec.c:
	  vkh265dec: fix a typo
	  This fixes also H265 decoding with LTR on ANV.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10166>

2025-11-20 12:42:48 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/unixfd/gstunixfdsrc.c:
	  unixfdsrc: Keep dmabuf mapped
	  The unixfdsrc has as equal use for CPU access and device access. Keeping the CPU
	  address mapping is preferable, with not down side for device access.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10153>

2025-11-20 12:41:10 -0500  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst-libs/gst/va/gstvaallocator.c:
	  va: allocator: Keep dmabuf mapped
	  VA buffers are rarely access from CPU, but if this is someone use case, it is
	  preferable to keep the CPU address mapping around since this isn't cheap to
	  create each time we map/unmap the buffer.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10153>

2025-11-07 19:29:24 -0300  L. E. Segovia <amy@centricular.com>

	* ext/dts/gstdtsdec.c:
	* ext/dts/meson.build:
	  gst: implement Orc-less cpuid routine for selecting asm routines
	  This commit removes the use of Orc's default target machinery as a way
	  to do CPUID detection on x86 and Arm. Instead I port xsimd's CPU
	  detection routine to C, cleaning up the instruction sets we don't use,
	  and also adding support for GCC/Clang's cpuid and xgetbv builtins.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10004>

2024-03-15 23:11:20 +1100  Jan Schmidt <jan@centricular.com>

	* gst/mpegtsmux/tsmux/tsmux.c:
	  mpegtsmux: Avoid infinite recursion writing PCR packets
	  If scheduling a PCR packet from tsmux_packet_out(), or
	  already writing one, don't do the PCR checks that can
	  recurse infinitely and crash.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/6380>

2025-10-15 06:49:03 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* ext/sctp/sctpassociation.c:
	  sctp: Fix GMutex leak
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9846>

2025-10-15 04:35:27 +0530  Nirbheek Chauhan <nirbheek@centricular.com>

	* sys/applemedia/vtenc.c:
	  vtenc: Fix a leak when setting caps
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9846>

2025-11-04 23:29:40 +0900  Seungha Yang <seungha@centricular.com>

	* gst/audiomixmatrix/gstaudiomixmatrix.c:
	* gst/audiomixmatrix/gstaudiomixmatrix.h:
	  audiomixmatrix: Add sparse matrix LUT optimization
	  Use precomputed LUTs for non-zero coefficients instead of
	  blindly traversing all input/output channel combinations
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10002>

2025-11-17 16:25:06 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklinkvideosink.cpp:
	* sys/decklink/gstdecklinkvideosink.h:
	  decklinkvideosink: Add support for outputting GstAncillaryMeta
	  This adds a new output-vanc boolean property.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10111>

2025-11-17 16:16:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* sys/decklink/gstdecklinkvideosink.cpp:
	* sys/decklink/gstdecklinkvideosink.h:
	  decklinkvideosink: Use GstVecDeque instead of GQueue for the pending frames
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10111>

2025-11-13 15:14:50 +0200  Sebastian Dröge <sebastian@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* sys/decklink/gstdecklinkvideosrc.cpp:
	* sys/decklink/gstdecklinkvideosrc.h:
	  decklinkvideosrc: Add support for outputting all VANC via GstAncillaryMeta
	  This adds a new output-vanc boolean property.
	  As part of this, now all valid VANC lines are always checked for interesting
	  VANC. Previously we cached where CC or AFD/Bar was found and first checked that
	  line. Keeping this would complicate the code considerably, and here checking all
	  lines takes less than 1ms.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10111>

2025-11-05 15:37:25 +0100  Jordan Yelloz <jordan.yelloz@collabora.com>

	* gst-libs/gst/play/gstplay.c:
	  gstplay: Fixed wrong initial configuration
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10110>

2025-11-13 21:12:20 +0530  Sanchayan Maity <sanchayan@centricular.com>

	* docs/plugins/gst_plugins_cache.json:
	* gst/mxf/mxfvanc.c:
	* gst/mxf/mxfvanc.h:
	  mxfvanc: Add support for non-closed-caption VANC
	  - Extends mxfdemux with support for outputting VANC (ST436M) essence
	  tracks as ST2038 streams instead of extracting closed captions internally.
	  - Extends mxfmux with support for consuming ST2038 streams for outputting
	  VANC (ST436M) essence tracks instead of only supporting closed captions.
	  To support ST2038 instead of the earlier closed captions, we introduce a
	  breaking change to the caps handling on the pad. We also now support both
	  8 and 10-bit VANC data when reading from MXF.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10087>

2025-11-17 10:24:17 +0900  dongjoo.kim <dongjoo.kim@lge.com>

	* gst/mxf/mxfffv1.c:
	  mxfdemux: Fix typo on mxf_ffv1_create_caps
	  In this section, the p value cannot be NULL, so it is dead code.
	  However, if you refer to the code in mxf_ffv1_get_track_wrapping,
	  you can see that you should check desc, not p.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10095>

2025-11-18 11:03:28 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: add validation that format's chroma
	  gst_va_encoder_open() receives as parameters GStreamer Video Format and its
	  chroma. Nevertheless, chroma can be known from the format by using
	  gst_va_chroma_from_video_format().
	  Instead of removing a spurious method's parameter, this patch validates that
	  both coincide.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10086>

2025-10-06 20:46:10 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/hip/gsthip-interop.cpp:
	* gst-libs/gst/hip/gsthipdevice.cpp:
	* gst-libs/gst/hip/gsthipevent.cpp:
	* gst-libs/gst/hip/gsthipmemory.cpp:
	* gst-libs/gst/hip/gsthipstream.cpp:
	* gst-libs/gst/hip/meson.build:
	  hip: Generate gir files
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9804>

2025-11-17 14:50:21 +0900  Seungha Yang <seungha@centricular.com>

	* gst-libs/gst/d3d12/gstd3d12converter.cpp:
	  d3d12converter: Apply background color even without mipmapping
	  Fix missing background color update for UV remapping when mipmapping
	  is disabled
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10096>

2025-11-03 11:41:36 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* ext/smoothstreaming/gstmssdemux.c:
	  mssdemux: Clarify pad name cleanup in _create_pad()
	  Refactored _create_pad() to always free the pad name after pad creation attempt.
	  No actual leak existed; this change makes cleanup explicit and improves readability
	  after a static analyzer warning.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9982>

2025-11-13 09:14:59 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaav1enc.c:
	* sys/va/gstvadisplay_priv.c:
	* sys/va/gstvadisplay_priv.h:
	* sys/va/gstvaencoder.c:
	* sys/va/gstvaencoder.h:
	* sys/va/gstvah264enc.c:
	* sys/va/gstvah265enc.c:
	* sys/va/gstvajpegenc.c:
	* sys/va/gstvavp8enc.c:
	* sys/va/gstvavp9enc.c:
	  va: move methods from encoder to display-priv
	  These methods, semantically speaking, don't belong to the encoder helper object,
	  even if the attributes they are querying are only related with encoding
	  operations, since, in terms of the required parameters to call them, only
	  display is required.
	  The main problem with adding them in the encoder is that the encoder already has
	  entrypoint (and the profile when it's opened), and this methods are required to
	  be called previous the opening of the encoder object.
	  This patch proposes to move these methods to the GstVaDisplay namespace, but
	  privately, since they are used only by the elements in the plugins, not by the
	  public API.
	  Calling this attribute in a non-encoding entrypoint shouldn't be a problem for
	  any driver, it should return the unimplemented value.
	  No functional changes are done.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10083>

2025-11-11 04:27:42 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth266parse.c:
	* gst/videoparsers/gsth266parse.h:
	  h266parse: Use VUI framerate when upstream framerate is 0/1
	  If upstream framerate is 0/1 (unknown) but VUI has framerate
	  information, use the VUI framerate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10039>

2025-11-11 04:18:04 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth264parse.c:
	  h264parse: Use VUI framerate when upstream framerate is 0/1
	  If upstream framerate is 0/1 (unknown) but VUI has framerate
	  information, use the VUI framerate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10039>

2025-11-07 20:39:34 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth265parse.c:
	* gst/videoparsers/gsth265parse.h:
	  h265parse: Use VUI framerate when upstream framerate is 0/1
	  If upstream framerate is 0/1 (unknown) but VUI has framerate
	  information, use the VUI framerate
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10039>

2025-11-12 17:13:06 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* ext/vulkan/vkh264enc.c:
	  vkh264enc: remove unused member variable
	  The member variable out_state is not used in the code, so there's no need to
	  keep it as a member variable along the lifespan of the object.
	  Even more, it can be fetched with gst_video_encoder_get_output_state().
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10080>

2025-10-30 23:25:23 +0900  Seungha Yang <seungha@centricular.com>

	* tests/check/elements/h265parse.c:
	  tests: h265parse: Update for AUD insertion
	  Updating tests to handle inserted AUD by h265parse
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9955>

2025-10-30 21:40:37 +0900  Seungha Yang <seungha@centricular.com>

	* gst/videoparsers/gsth265parse.c:
	* gst/videoparsers/gsth265parse.h:
	  h265parse: Add support for AUD insertion
	  Implement AUD insertion similar to h264parse
	  to work around decoding artifacts in multi-slice HEVC streams.
	  This fixes an issue with the Intel Media Foundation decoder in
	  Windows Media Player, where the decoded image becomes corrupted
	  in non-first slices when the frame lacks AUD
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9955>

2025-11-13 11:53:52 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: add more checks to gst_va_encoder_open()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10084>

2025-11-13 11:51:53 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: IS macros checks for NULL
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10084>

2025-11-13 11:36:42 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvaencoder.c:
	  vaencoder: init() calls reset()
	  Thus avoiding repeated code.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10084>

2025-11-03 11:23:36 +0900  jeongmin kwak <jeongmin.kwak@lge.com>

	* gst-libs/gst/mpegts/gst-scte-section.c:
	  scte-section: fix missing cleanup and clarify event ownership on parse failure
	  Free only the allocated component when _parse_splice_component() fails,
	  leaving event cleanup to the caller to maintain proper ownership.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9981>

2025-11-07 14:17:39 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabaseenc.c:
	  vabaseenc: get usage hint with real entrypoint
	  Use class' entrypoint rather than a hardcoded one. Currently, in the case of
	  encoders, it doesn't matter much, but it makes the code robust for future
	  changes.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10077>

2025-11-07 14:19:17 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/gstvabasedec.c:
	* sys/va/gstvabaseenc.c:
	* sys/va/gstvabasetransform.c:
	* sys/va/gstvacaps.c:
	* sys/va/gstvacaps.h:
	* sys/va/gstvacompositor.c:
	  va: use gst_video_is_dma_drm_caps()
	  Instead of local gst_caps_is_dmabuf()
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10077>

2025-11-07 14:15:50 +0100  Víctor Manuel Jáquez Leal <vjaquez@igalia.com>

	* sys/va/meson.build:
	  va: build: remove non-documentation headers
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10077>

2025-11-12 16:53:32 -0800  Matthew Semeniuk <megaman22342@live.ca>

	* gst-libs/gst/vulkan/gstvkqueue.h:
	  vulkan: add G_DECLS to gstvkqueue
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10078>

2025-11-12 16:53:05 -0800  Matthew Semeniuk <megaman22342@live.ca>

	* gst-libs/gst/vulkan/gstvkcommandpool.h:
	  vulkan: add G_DECLS to gstvkcommandpool
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10078>

2025-11-11 22:37:29 -0500  Olivier Crête <olivier.crete@collabora.com>

	* docs/plugins/gst_plugins_cache.json:
	  audio: Re-order the all formats
	  The order they were in was tripping a Rust unit test.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10074>

2025-08-15 15:16:57 -0400  Olivier Crête <olivier.crete@collabora.com>

	* gst-libs/gst/analytics/gstanalyticsbatchmeta.c:
	* gst-libs/gst/analytics/gstanalyticsbatchmeta.h:
	  batchmeta: Merge event/buffer/bufferlist into a single field
	  Everything serialized should be sent together
	  Break an API introduced since the last release.
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/9563>

2025-06-18 14:25:17 +0900  dongjoo.kim <dongjoo.kim@lge.com>

	* gst/id3tag/id3tag.c:
	  id3tag: Fix resource leak
	  When latin1 is not NULL and latin1[0] is '\0'
	  Part-of: <https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/10050>

